dcl_settings : default_dcl_settings { audit_level = 0;}
rundemo : dialog {
  aspect_ratio = 0.0;
  label = "Trial Number";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  alignment = centered;
  fixed_width = true;
key = "trialno";
:radio_button {
  key = "1";
  label = "Trial Number 1";
}
:radio_button {
  key = "2";
  label = "Trial Number 2";
}
:radio_button {
  key = "3";
  label = "Trial Number 3";
}
:radio_button {
  key = "4";
  label = "Trial Number 4";
}
:radio_button {
  key = "5";
  label = "Trial Number 5";
}
  }
  ok_only;
}

lumminch: dialog {
  aspect_ratio = 0.0;
  label = "Select Drawing Units";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  alignment = centered;
  fixed_width = true;
key = "inchmm";
:radio_button {
  key = "inch";
  label = "Foot-Inch";
}
:radio_button {
  key = "mm";
  label = "Metric";
}
  }
  ok_only;
}

moc : dialog {
  aspect_ratio = 0.0;
  label = "Material of Construction of all Parts";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  alignment = centered;
  fixed_width = true;
key = "agitmoc";
:radio_button {
  key = "sswet";
  label = "Wetted Parts Stainless Steel (Chemical Plant)";
}
:radio_button {
  key = "ssall";
  label = "All Parts Stainless Steel (Pharma / Food)";
}
:radio_button {
  key = "cs";
  label = "All Parts Carbon Steel";
}
  }
  ok_only;
}

moc_det : dialog {
    label = "Material Specification:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : row {
  :boxed_column {
    :edit_box {
      label = "Material of Plates :";
      key = "moc_pl_db";
      edit_width = 19;
      edit_limit = 25;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Material of Liner :";
      key = "moc_li_db";
      edit_width = 19;
      edit_limit = 25;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Material of Shaft :";
      key = "moc_sh_db";
      edit_width = 19;
      edit_limit = 25;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Material of Impeller Hub :";
      key = "moc_hu_db";
      edit_width = 19;
      edit_limit = 25;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Material of Impeller Blades :";
      key = "moc_bl_db";
      edit_width = 19;
      edit_limit = 25;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Material of Motor / Gearbox / Coupling :";
      key = "moc_mo_db";
      edit_width = 19;
      edit_limit = 25;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Material of Packing Rings :";
      key = "moc_pr_db";
      edit_width = 19;
      edit_limit = 25;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Material of Lantern Rings :";
      key = "moc_lr_db";
      edit_width = 19;
      edit_limit = 25;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Material of Bearing :";
      key = "moc_be_db";
      edit_width = 19;
      edit_limit = 25;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Material of Stud Bolts :";
      key = "moc_bo_db";
      edit_width = 19;
      edit_limit = 25;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Material of Impeller Stud Bolts :";
      key = "moc_blb_db";
      edit_width = 19;
      edit_limit = 25;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

agitrun1 : dialog {
  label = "Choose Design Option";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
    key = "main_prog1";
    :radio_button {
      key = "proc";
      label = "Design";
    }
    :radio_button {
      key = "draw";
      label = "Drawing";
    }
    :radio_button {
      key = "exit";
      label = "Exit";
    }
  }
  ok_only;
}

agitrun2 : dialog {
  label = "Choose Design Option";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
    key = "main_prog2";
    :radio_button {
      key = "procdes";
      label = "Redesign";
    }
    :radio_button {
      key = "draw";
      label = "Drawing";
    }
    :radio_button {
      key = "exit";
      label = "Exit";
    }
  }
  ok_only;
}

agitrun3 : dialog {
  label = "Choose Design Option";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
    key = "main_prog3";
    :radio_button {
      key = "draw";
      label = "Drawing";
    }
    :radio_button {
      key = "exit";
      label = "Exit";
    }
  }
  ok_only;
}

titledata : dialog {
    label = "Please enter Drawing data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : row {
  :boxed_column {
    :edit_box {
      label = "Clients Name :";
      key = "t1_db";
      edit_width = 40;
      edit_limit = 50;
    }
    :edit_box {
      key = "t2_db";
      label = "Designed by: ";
      edit_width = 5;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      key = "t3_db";
      label = "Drawn by: ";
      edit_width = 5;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      key = "t4_db";
      label = "Checked by: ";
      edit_width = 5;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      key = "t5_db";
      label = "Appd by: ";
      edit_width = 5;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      key = "t6_db";
      label = "Date: ";
      edit_width = 8;
      edit_limit = 18;
      horizontal_alignment = right;
    }
    :edit_box {
      key = "t7_db";
      label = "Drawing No.: ";
      edit_width = 20;
      edit_limit = 20;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
}

seltank : dialog {
  label = "Type of Tank";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
    key = "ttype";
    :radio_button {
      key = "cyl";
      label = "Vertical Cylindrical";
    }
    :radio_button {
      key = "rect";
      label = "Reactangular";
    }
  }
  ok_only;
}

vesseldata : dialog {
    label = "Size of Vessel / Liquid Properties";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : row {
  :boxed_column {
    :edit_box {
      label = "Diameter of Vessel :";
      key = "vdia_db";
      edit_width = 10;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Tan to tan Length :";
      key = "vlen_db";
      edit_width = 10;
      horizontal_alignment = right;
    }
   }
 }
: row {
  :boxed_column {
    label = "Properties of Liquid";
    :edit_box {
      label = "Viscocity of Liquid in Centipoise :";
      key = "viscl_db";
      edit_width = 9;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Specific Gravity of Liquid :";
      key = "splgr_db";
      edit_width = 9;
      horizontal_alignment = right;
    }
   }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

tankdata : dialog {
    label = "Size of tank";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : row {
  :boxed_column {
    :edit_box {
      label = "Width 0f Tank :";
      key = "vdia_db";
      edit_width = 10;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Length of Tank :";
      key = "vwidth_db";
      edit_width = 10;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Height of Tank :";
      key = "vlen_db";
      edit_width = 10;
      horizontal_alignment = right;
    }
   }
 }
: row {
  :boxed_column {
    label = "Properties of Liquid";
    :edit_box {
      label = "Viscocity of Liquid in Centipoise :";
      key = "viscl_db";
      edit_width = 9;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Specific Gravity of Liquid :";
      key = "splgr_db";
      edit_width = 9;
      horizontal_alignment = right;
    }
   }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

reno : dialog {
  label = "Agitator Design Parameters";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : row {
  :column {
    :edit_box {
      label = "Ratio of Imp Dia to Vessel Dia :";
      key = "wdfac_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Mixing Number Nq:";
      key = "pumpfac_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Power Number Np:";
      key = "pno_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Design RPM:";
      key = "srpm_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Mixing Time Minutes:";
      key = "mixtime_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
   }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

prate : dialog {
  label = "Full Mixing Time";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
    :edit_box {
      label = "Full Mixing in";
      key = "prate_db";
      edit_width = 3;
      horizontal_alignment = right;
    }
    :text { value = "Minutes"; width = 10; alignment = left; vertical_margin = tiny; }
  }
  ok_only;
    :text { value = "Recommended: 1 Minute"; width = 10; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

firstno : dialog {
      label = "First Tag Number :";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
    :edit_box {
      label = "First Tag Number :";
      key = "nextno_db";
      edit_width = 9;
      horizontal_alignment = right;
    }
  }
:text { value = "If You have this drawing as continuation of "; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "Earlier drawing, You can select First Tag Number"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "as next number of last number in earlier drawing"; width = 35; alignment = centered; vertical_margin = tiny; }
  ok_only;
}

note :dialog {
  aspect_ratio = 0.0;
  label = "Select/Edit or Write notes";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  alignment = centered;
  fixed_width = true;
key = "note";
:radio_button {
  key = "select";
  label = "Select/Edit Notes";
}
:radio_button {
  key = "write";
  label = "Write Notes Directly";
}
  }
  ok_only;
  errtile;
}

notes01 :dialog {
  aspect_ratio = 0.0;
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Notes for Drawing";
 :row {
label = "Please Select Notes :";
alignment = centered;
fixed_width = true;
:column {
:row {
:toggle {
  key = "notet01_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note01_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet02_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note02_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet03_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note03_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet04_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note04_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet05_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note05_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet06_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note06_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet07_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note07_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet08_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note08_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet09_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note09_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet10_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note10_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet11_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note11_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet12_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note12_db";
  edit_width = 160;
  edit_limit = 200;
}}
   }
  }
  ok_only;
  errtile;
}

notes02:dialog {
  aspect_ratio = 0.0;
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Notes for Drawing";
 :row {
label = "Please Select Notes :";
alignment = centered;
fixed_width = true;
:column {
:row {
:toggle {
  key = "notet13_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note13_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet14_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note14_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet15_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note15_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet16_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note16_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet17_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note17_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet18_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note18_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet19_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note19_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet20_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note20_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet21_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note21_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet22_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note22_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet23_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note23_db";
  edit_width = 160;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet24_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note24_db";
  edit_width = 160;
  edit_limit = 200;
}}
   }
  }
  ok_only;
  errtile;
}

notes03:dialog {
  aspect_ratio = 0.0;
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Notes for Drawing";
 :row {
label = "Please Select Notes :";
alignment = centered;
fixed_width = true;
:column {
:row {
:toggle {
  key = "notet25_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note25_db";
  edit_width = 158;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet26_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note26_db";
  edit_width = 158;
  edit_limit = 200;
  horizontal_alignment = right;
}}
:row {
:toggle {
  key = "notet27_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note27_db";
  edit_width = 158;
  edit_limit = 200;
  horizontal_alignment = right;
}}
:row {
:toggle {
  key = "notet28_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note28_db";
  edit_width = 158;
  edit_limit = 200;
  horizontal_alignment = right;
}}
:row {
:toggle {
  key = "notet29_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note29_db";
  edit_width = 158;
  edit_limit = 200;
  horizontal_alignment = right;
}}
:row {
:toggle {
  key = "notet30_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note30_db";
  edit_width = 158;
  edit_limit = 200;
  horizontal_alignment = right;
}}
:row {
:toggle {
  key = "notet31_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note31_db";
  edit_width = 158;
  edit_limit = 200;
  horizontal_alignment = right;
}}
:row {
:toggle {
  key = "notet32_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note32_db";
  edit_width = 158;
  edit_limit = 200;
  horizontal_alignment = right;
}}
:row {
:toggle {
  key = "notet33_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note33_db";
  edit_width = 158;
  edit_limit = 200;
  horizontal_alignment = right;
}}
:row {
:toggle {
  key = "notet34_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note34_db";
  edit_width = 160;
  edit_limit = 200;
  horizontal_alignment = right;
}}
:row {
:toggle {
  key = "notet35_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note35_db";
  edit_width = 158;
  edit_limit = 200;
}}
:row {
:toggle {
  key = "notet36_db";
  height = 3;
  width = 3;
  horizontal_alignment = right;
}
:edit_box {
  key = "note36_db";
  edit_width = 158;
  edit_limit = 200;
  horizontal_alignment = right;
}}
   }
  }
  ok_only;
  errtile;
}

rpmdia1 : dialog {
    label = "Shaft RPM and Length";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "Calculated Speed is indicated"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "Output Speeds of 1500 rpm Motor with Gearbox are"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "300, 200, 150, 120, 100, 75, 60, 50, 43, 37 30, 25, 22"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "Output Speeds of 1000 rpm Motor with Gearbox  are"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "200, 133, 100, 80, 67, 50, 40, 33, 29, 25, 20, 17, 14"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "Output Speeds of 750 rpm Motor with Gearbox  are"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "150, 100, 75, 60, 50, 38, 30, 25, 21, 19, 15, 13, 11"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "Output Speeds of Direct coupled Motor are"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "1500, 1000, 750"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "For any other speed"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = "use Motor + V Belt Drive"; width = 35; alignment = centered; vertical_margin = tiny; }
  : row {
  :boxed_column {
    :edit_box {
      label = "Recommended Shaft RPM :";
      key = "srpm_db";
      edit_width = 4;
      edit_limit = 5;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Recommended Shaft Length :";
      key = "slen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

rpmdia2 : dialog {
    label = "Diameter of Impeller / Shaft:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; alignment = centered; vertical_margin = tiny; }
  : row {
  :boxed_column {
    :edit_box {
      label = "Recommended Impeller OD :";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 9;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Recommended Shaft RPM :";
      key = "srpm_db";
      edit_width = 4;
      edit_limit = 5;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

noimp_od : dialog {
    label = "Number of impeller:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : row {
  :boxed_column {
    :edit_box {
      label = "Number of Impellers:";
      key = "noimp_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Speed of Agitator:";
      key = "srpm_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

final_od : dialog {
      label = "Final Values:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : row {
  :boxed_column {
    :edit_box {
      label = "No of Impellers:";
      key = "noimp_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Diameter of Impellers:";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Speed of Agitator:";
      key = "srpm_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Shaft Diameter:";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Shaft Length:";
      key = "slen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part1a_det_ss : dialog {
    label = "Base Plate data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
    :edit_box {
      label = "OD of Base Plate :";
      key = "plod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :text { value = "Mateches with OD of stool"; width = 35;  alignment = centered; vertical_margin = tiny; }
    :edit_box {
      label = "PCD of Stool Flanges :";
      key = "plpcd_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :text { value = "Mateches with PCD of stool"; width = 35;  alignment = centered; vertical_margin = tiny; }
    :edit_box {
      label = "Thickness of Base Plate :";
      key = "bp_th_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
      :edit_box {
      label = " Liner Thickness :";
      key = "bp_liner_thk_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
    :text { value = "Mateches with thickness of Stuffing Box"; width = 35;  alignment = centered; vertical_margin = tiny; }
      :edit_box {
      label = " Liner Width :";
      key = "bp_liner_width_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
    :text { value = "Mateches with Width of Stuffing Box"; width = 35;  alignment = centered; vertical_margin = tiny; }
     }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part1a_det_cs : dialog {
    label = "Base Plate data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
    :edit_box {
      label = "OD of Base Plate :";
      key = "plod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :text { value = "Mateches with OD of stool"; width = 35;  alignment = centered; vertical_margin = tiny; }
    :edit_box {
      label = "PCD of Stool Flanges :";
      key = "plpcd_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :text { value = "Mateches with PCD of stool"; width = 35;  alignment = centered; vertical_margin = tiny; }
    :edit_box {
      label = "Thickness of Base Plate :";
      key = "bp_th_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
     }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

sbms : dialog {
  aspect_ratio = 0.0;
  label = "Stuffing Box or Mechanical Seal";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  alignment = centered;
  fixed_width = true;
key = "sbms_val";
:radio_button {
  key = "stbo_db";
  label = "Stuffing Box";
}
:radio_button {
  key = "mese_db";
  label = "Mechanical Seal";
}
:radio_button {
  key = "stme_db";
  label = "None";
}
  }
  ok_only;
}

ms12 : dialog {
  aspect_ratio = 0.0;
  label = "Single or Double Mechanical Seal";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  alignment = centered;
  fixed_width = true;
key = "ms_val";
:radio_button {
  key = "ms1_db";
  label = "Single Mechanical Seal";
}
:radio_button {
  key = "ms2_db";
  label = "Double Mechanical Seal";
}
  }
  ok_only;
}

part2a_det_ss : dialog {
    label = "Stuffing Box data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
	: image {
 	key= "part2a_ss"; 
 	width  = 40;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
     :boxed_column {
      label = "Liner data:";
      :edit_box {
      label = " N = Liner Width :";
      key = "sb_liner_width_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
      :edit_box {
      label = " O = Liner Thickness :";
      key = "sb_liner_thk_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
     }
    :boxed_column {
       label = "Base Plate data:";
       :edit_box {
       label = "A = Outer Daimeter :";
       key = "sb_flod_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
        label = "B = Bolt Circle Diameter :";
        key = "sb_pcd_db";
        edit_width = 9;
        edit_limit = 15;
        horizontal_alignment = right;
       }
       :edit_box {
       label = "C = Thickness :";
       key = "sb_flth_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
  }
  :column {
    :boxed_column {
       label = "Gland Packing data:";
       :edit_box {
       label = "Number above Lantern, (Max 6) :";
       key = "npca_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "D = Thickness :";
       key = "pack_thk_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "E = Height :";
       key = "pack_ht_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "Number below Lantern, (Max 8) :";
       key = "npcb_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
     :boxed_column {
       label = "Stuffing Box data :";
       :edit_box {
       label = "F = Thickness of Plate of Stuffing Box :";
       key = "st_box_thk_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "G = Width of Cooling Jacket :";
       key = "jacket_gap_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "H = Dia of CW Nipple :";
       key = "cwdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "J = Length of CW Nipple :";
       key = "cwlen_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "K = Thickness of Plate of Cooling Jacket :";
       key = "jack_thk_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
     }
     :boxed_column {
       label = "Lantern Ring data :";
       :edit_box {
       label = "L = Height :";
       key = "lant_ht_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "M = Dia of Greese Nipple :";
       key = "grdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "Length  of Greese Nipple :";
       key = "grnip_len_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
   }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part2a_det_cs : dialog {
    label = "Stuffing Box data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
	: image {
 	key= "part2a_cs"; 
 	width  = 40;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
    :boxed_column {
       label = "Base Plate data:";
       :edit_box {
       label = "A = Base Outer Daimeter :";
       key = "sb_flod_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
        label = "B = Bolt Circle Diameter :";
        key = "sb_pcd_db";
        edit_width = 9;
       edit_limit = 15;
        horizontal_alignment = right;
       }
       :edit_box {
       label = "C = Base Thickness :";
       key = "sb_flth_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
  }
  :column {
    :boxed_column {
       label = "Gland Packing data:";
       :edit_box {
       label = "Number above Lantern, (Max 6) :";
       key = "npca_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "D = Thickness :";
       key = "pack_thk_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "E = Height :";
       key = "pack_ht_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "Number below Lantern, (Max 8) :";
       key = "npcb_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
     :boxed_column {
       label = "Stuffing Box data :";
       :edit_box {
       label = "F = Thickness of Plate of Stuffing Box :";
       key = "st_box_thk_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "G = Width of Cooling Jacket :";
       key = "jacket_gap_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "H = Dia of CW Nipple :";
       key = "cwdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "J = Length of CW Nipple :";
       key = "cwlen_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "K = Thickness of Plate of Cooling Jacket :";
       key = "jack_thk_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
     }
     :boxed_column {
       label = "Lantern Ring data :";
       :edit_box {
       label = "L = Height :";
       key = "lant_ht_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "M = Dia of Greese Nipple :";
       key = "grdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "Length  of Greese Nipple :";
       key = "grnip_len_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
   }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part2b_det : dialog {
    label = "Mechanical Seal data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
	: image {
 	key= "part2b"; 
 	width  = 40;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
    :boxed_column {
       label = "Base Plate data:";
       :edit_box {
       label = "A = Outer Daimeter :";
       key = "ms_flod_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
        label = "B = Bolt Circle Diameter :";
        key = "ms_pcd_db";
        edit_width = 9;
       edit_limit = 15;
        horizontal_alignment = right;
       }
       :edit_box {
       label = "C = Thickness :";
       key = "ms_flth_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
  }
  :column {
     :boxed_column {
       :edit_box {
       label = "D= Diameter of Top Ring :";
       key = "ms_tring_od_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "E= Height of Top Ring :";
       key = "ms_tring_ht_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "F = Total Height :";
       key = "ms_ht_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "G = Thickness of Plates :";
       key = "ms_box_thk_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "H = Width of Cooling Jacket :";
       key = "ms_jacket_gap_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "J= Diameter of Cover :";
       key = "ms_covod_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "Number of Bolts :";
       key = "ms_nbolt_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "Diameter of Bolt Holes :";
       key = "ms_dbolthole_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "Dia of CW Nipple :";
       key = "ms_cwdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "Length of CW Nipple :";
       key = "ms_cwlen_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
     }
   }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part30 : dialog {
  aspect_ratio = 0.0;
  label = "Type of Bearing Housing";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :row {
    label = "Number of Bearings";
      :image_button {
       key= "part31";
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part32"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
   }
  :row {
       alignment = centered;
       fixed_width = true;
      :image_button {
       key= "part30";
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part3a_det : dialog {
    label = "Bearing Housing data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
    :edit_box {
      label = "OD of Top Bearing :";
      key = "tb_od_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "ID of Top Bearing :";
      key = "tb_id_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :text { value = "ID should be < or = indicated"; width = 35; alignment = centered; vertical_margin = tiny; }
    :edit_box {
      label = "Height of Top Bearing :";
      key = "tb_th_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
    label = "OD of Bottom Bearing :";
      key = "bb_od_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "ID of Bottom Bearing :";
      key = "bb_id_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :text { value = "ID should be < or = indicated"; width = 35; alignment = centered; vertical_margin = tiny; }
    :edit_box {
      label = "Height of Bottom Bearing :";
      key = "bb_th_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Gap between CL of two Bearings :";
      key = "cl_gap_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
}
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part3b_det : dialog {
    label = "Bearing Housing data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
    :edit_box {
      label = "OD of Bearing :";
      key = "b_od_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "ID of Bearing :";
      key = "b_id_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Height of Bearing :";
      key = "b_th_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part4_det : dialog {
    label = "Stool data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
    :edit_box {
      label = "ID of Pipe Stool :";
      key = "plid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :text { value = "Calculated as per OD of Stuffing Box"; width = 35;  alignment = centered; vertical_margin = tiny; }
    :edit_box {
      label = "Thickness of Pipe Stool :";
      key = "stth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  :boxed_column {
    :edit_box {
      label = "OD of Top / Bottom Flanges :";
      key = "plod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :text { value = "Calculated as per OD of Stuffing Box"; width = 35;  alignment = centered; vertical_margin = tiny; }
    :edit_box {
      label = "PCD of Top / Bottom Flanges :";
      key = "plpcd_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :text { value = "Calculated as per OD of Stuffing Box"; width = 35;  alignment = centered; vertical_margin = tiny; }
    :edit_box {
      label = "Thickness of Flanges :";
      key = "plth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part5_det : dialog {
    label = "Shaft data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : row {
  :boxed_column {
    :edit_box {
      label = "Shaft Diameter :";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Shaft Length below Base Plate :";
      key = "slen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Shaft RPM :";
      key = "srpm_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "No. of Impellers :";
      key = "noimp_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Width of Shaft Key :";
      key = "skeywid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Thickness of Shaft Key :";
      key = "skeyth_db";
      edit_limit = 15;
      horizontal_alignment = right;
      edit_width = 9;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

safefac : dialog {
  aspect_ratio = 0.0;
  label = "Select Safety factor for Shaft";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
     alignment = centered;
     fixed_width = true;
     key = "safe_fac";
    :radio_button {
       key = "1.0";
       label = "Safety Factor = 1.0";
    }
    :radio_button {
       key = "1.1";
       label = "Safety Factor = 1.1";
    }
    :radio_button {
       key = "1.2";
       label = "Safety Factor = 1.2";
    }
    :radio_button {
       key = "0";
       label = "Other Value";
    }
 }
  ok_only;
}

shaftfy : dialog {
  aspect_ratio = 0.0;
  label = "Select Material of Shaft";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
     alignment = centered;
     fixed_width = true;
     key = "sha_fy";
    :radio_button {
       key = "mat_cs";
       label = "Carbon Steel";
    }
    :radio_button {
       key = "mat_en8";
       label = "Carbon Steel EN8";
    }
    :radio_button {
       key = "mat_en24";
       label = "Carbon Steel EN24";
    }
    :radio_button {
       key = "mat_ss";
       label = "Stainless Steel";
    }
 }
  ok_only;
}

shaftfy_det : dialog {
    label = "Select Permissible values N per sq mm:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
    :edit_box {
      label = "Shear Stress of Agitator Shaft :";
      key = "shfy_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
   }
: row {
    :edit_box {
      label = "Elastic Limit of Agitator Shaft :";
      key = "shel_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
 }
  ok_only;
}

part6_det : dialog {
    label = "Rigid Coupling data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
  :row {
	: image {
 	key= "part6"; 
 	width  = 40;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
  }
  :boxed_column {
    :edit_box {
      label = "A = OD of Agitator Shaft :";
      key = "tsdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "B = OD of Top Shaft :";
      key = "idmin_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
   }
 }
 :column {
  :boxed_column {
    :edit_box {
      label = "C = OD of Rigid Coupling :";
      key = "rc_flod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "D = Collar OD of Rigid Coupling :";
      key = "colod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "E = PCD of Rigid Coupling :";
      key = "rc_pcd_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "F = Length of Rigid Coupling :";
      key = "totlen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
   }
  :boxed_column {
    :edit_box {
      label = "G = Length of Top Coupling :";
      key = "toplen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "H = Thickness of Top Flange :";
      key = "topflthk_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
   }
   :boxed_column {
    :edit_box {
      label = "J = Length of Bottom Coupling :";
      key = "botlen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "K = Thickness of Bottom Flange :";
      key = "botflthk_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
}
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part70 : dialog {
  aspect_ratio = 0.0;
  label = "Type of Impeller";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :row {
    :boxed_row {
    label = "Axial Flow Impellers";
    :column {
      :image_button {
       key= "part7a1";
       width  = 30;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Marine"; width = 6; alignment = centered; vertical_margin = tiny; }
      :text { value = "Propeller"; width = 9; alignment = centered; vertical_margin = tiny; }
    }
    :column {
      :image_button {
       key= "part7b1"; 
       width  = 30;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Axial Flow"; width = 10; alignment = centered; vertical_margin = tiny; }
      :text { value = "Turbine"; width = 7; alignment = centered; vertical_margin = tiny; }
    }
    :column {
      :image_button {
       key= "part7c1";
       width  = 30;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Turbo"; width = 5; alignment = centered; vertical_margin = tiny; }
      :text { value = "Propeller"; width = 9; alignment = centered; vertical_margin = tiny; }
    }
    }
    }
  :row {
    :boxed_row {
    label = "Radial Flow Impellers";
    :column {
      :image_button {
       key= "part7d1"; 
       width  = 30;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Disc Balde"; width = 10; alignment = centered; vertical_margin = tiny; }
      :text { value = "Turbine"; width = 7; alignment = centered; vertical_margin = tiny; }
    }
    :column {
      :image_button {
       key= "part7i1"; 
       width  = 30;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Flat Blade"; width = 10; alignment = centered; vertical_margin = tiny; }
      :text { value = "Turbine"; width = 7; alignment = centered; vertical_margin = tiny; }
    }
    :column {
      :image_button {
       key= "part7j1"; 
       width  = 30;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Backward"; width = 8; alignment = centered; vertical_margin = tiny; }
      :text { value = "Blade"; width = 5; alignment = centered; vertical_margin = tiny; }
      :text { value = "Turbine"; width = 7; alignment = centered; vertical_margin = tiny; }
    }
    }
    }
  :row {
    :boxed_row {
    label = "Slow Speed Impellers";
    :column {
      :image_button {
       key= "part7e1"; 
       width  = 30;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Paddle"; width = 7; alignment = centered; vertical_margin = tiny; }
    }
    :column {
      :image_button {
       key= "part7f1";
       width  = 30;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Anchor"; width = 7; alignment = centered; vertical_margin = tiny; }
    }
    :column {
      :image_button {
       key= "part7g1";
       width  = 30;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Anchor"; width = 6; alignment = centered; vertical_margin = tiny; }
      :text { value = "Paddle"; width = 6; alignment = centered; vertical_margin = tiny; }
    }
    :column {
      :image_button {
       key= "part7h1"; 
       width  = 30;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Gate"; width = 5; alignment = centered; vertical_margin = tiny; }
    }
   }
   }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7a_blade : dialog {
  aspect_ratio = 0.0;
  label = "Number of blades of Impeller";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :row {
      :image_button {
       key= "part7a3";
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7a4"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
    }
  ok_only;
}

part7a_det : dialog {
    label = "Marine Propeller Data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
   :column {
  	: image {
 	key= "part7a2"; 
 	width  = 30;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
   }
   :boxed_column {
    :edit_box {
      label = "A = Shaft Diameter :";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "B = Hub Diameter  :";
      key = "hubdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "C = Hub Height  :";
      key = "hubht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "D = Impeller Diameter  :";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "E = Blade Base Height  :";
      key = "baseht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "H = Blade Mid Height  :";
      key = "midht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  :boxed_column {
    :edit_box {
      label = "F = Blade End Height  :";
      key = "endht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Blade Thickness  :";
      key = "plateth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "G = Width of Key  :";
      key = "keywid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Length of Key  :";
      key = "keylen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Thickness of Key  :";
      key = "keyth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Dia of Grub screw  :";
      key = "grubscr_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7b_blade : dialog {
  aspect_ratio = 0.0;
  label = "Number of blades of Impeller";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :row {
      :image_button {
       key= "part7b3";
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7b4"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
    }
   : row {
      :image_button {
       key= "part7b5"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7b6"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
    }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7b_det : dialog {
    label = "Axial Flow Impeller Data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
   :column {
  	: image {
 	key= "part7b2"; 
 	width  = 30;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
   }
   :boxed_column {
    :edit_box {
      label = "A = Shaft Diameter :";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "B = Hub Diameter  :";
      key = "hubdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "C = Hub Height  :";
      key = "hubht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "D = Impeller Diameter  :";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "E = Blade Base Height  :";
      key = "baseht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "F = Blade End Height  :";
      key = "endht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  :boxed_column {
    :edit_box {
      label = "Blade Thickness  :";
      key = "plateth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "G = Width of Key  :";
      key = "keywid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Length of Key  :";
      key = "keylen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Thickness of Key  :";
      key = "keyth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Dia of Grub screw  :";
      key = "grubscr_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7c_blade : dialog {
  aspect_ratio = 0.0;
  label = "Number of blades of Impeller";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :row {
      :image_button {
       key= "part7c3";
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7c4"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
    }
   : row {
      :image_button {
       key= "part7c5"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7c6"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
    }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7c_det : dialog {
    label = "Turbo Flow Impeller Data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
   :column {
  	: image {
 	key= "part7c2"; 
 	width  = 30;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
   }
   :boxed_column {
    :edit_box {
      label = "A = Shaft Diameter :";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "B = Hub Diameter  :";
      key = "hubdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "C = Hub Height  :";
      key = "hubht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "D = Impeller Diameter  :";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "E = Blade Base Height  :";
      key = "baseht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "H = Blade Mid Height  :";
      key = "midht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  :boxed_column {
    :edit_box {
      label = "F = Blade End Height  :";
      key = "endht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Blade Thickness  :";
      key = "plateth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "G = Width of Key  :";
      key = "keywid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Length of Key  :";
      key = "keylen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Thickness of Key  :";
      key = "keyth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Dia of Grub screw  :";
      key = "grubscr_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7d_blade : dialog {
  aspect_ratio = 0.0;
  label = "Number of blades of Impeller";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :row {
      :image_button {
       key= "part7d3";
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7d4"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
    }
   : row {
      :image_button {
       key= "part7d5"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7d6"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
    }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7d_det : dialog {
    label = "Flat Blade Turbine Impeller Data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
   :column {
  	: image {
 	key= "part7d2"; 
 	width  = 30;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
   }
   :boxed_column {
    :edit_box {
      label = "A = Shaft Diameter :";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "B = Hub Diameter  :";
      key = "hubdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "C = Hub Height  :";
      key = "hubht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "D = Impeller Diameter  :";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "H = Disk Diameter  :";
      key = "diskod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "J = Disk Thickness  :";
      key = "diskth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  :boxed_column {
    :edit_box {
      label = "E = Plate Width  :";
      key = "platewid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "F = Plate Height  :";
      key = "plateht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Blade Thickness  :";
      key = "plateth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "G = Width of Key  :";
      key = "keywid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Length of Key  :";
      key = "keylen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Thickness of Key  :";
      key = "keyth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Dia of Grub screw  :";
      key = "grubscr_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7e_det : dialog {
    label = "Paddle Impeller Data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
   :column {
  	: image {
 	key= "part7e2"; 
 	width  = 30;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
   }
   :boxed_column {
    :edit_box {
      label = "A = Shaft Diameter :";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "B = Hub Diameter  :";
      key = "hubdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "C = Hub Height  :";
      key = "hubht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "D = Impeller Diameter  :";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "E = Blade Base Height  :";
      key = "baseht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  :boxed_column {
    :edit_box {
      label = "Blade Thickness  :";
      key = "plateth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "F = Width of Key  :";
      key = "keywid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Length of Key  :";
      key = "keylen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Thickness of Key  :";
      key = "keyth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Dia of Grub screw  :";
      key = "grubscr_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7f_det : dialog {
    label = "Anchor Impeller Data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
   :column {
  	: image {
 	key= "part7f2"; 
 	width  = 30;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
   }
   :boxed_column {
    :edit_box {
      label = "A = Shaft Diameter :";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "B = Hub Diameter  :";
      key = "hubdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "C = Hub Height  :";
      key = "hubht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "D = Impeller Diameter  :";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "E = Blade Base Height  :";
      key = "baseht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "F = Anchor Plate Width  :";
      key = "ancwid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  :boxed_column {
    :edit_box {
      label = "G = Anchor Plate Height  :";
      key = "anclen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Blade Thickness  :";
      key = "plateth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "F = Width of Key  :";
      key = "keywid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Length of Key  :";
      key = "keylen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Thickness of Key  :";
      key = "keyth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Dia of Grub screw  :";
      key = "grubscr_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7g_det : dialog {
    label = "Anchor Paddle Impeller Data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
   :column {
  	: image {
 	key= "part7g2"; 
 	width  = 30;
 	aspect_ratio   = 0.2;
	color  = 250;
	}
   }
   :boxed_column {
    :edit_box {
      label = "A = Shaft Diameter :";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "B = Hub Diameter  :";
      key = "hubdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "C = Hub Height  :";
      key = "hubht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "D = Impeller Diameter  :";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "E = Blade Base Height  :";
      key = "baseht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "F = Anchor Plate Width  :";
      key = "ancwid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  :boxed_column {
    :edit_box {
      label = "G = Center to Center Height  :";
      key = "cldist_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "H = Anchor Plate Height  :";
      key = "anclen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Blade Thickness  :";
      key = "plateth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "F = Width of Key  :";
      key = "keywid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Length of Key  :";
      key = "keylen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Thickness of Key  :";
      key = "keyth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Dia of Grub screw  :";
      key = "grubscr_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7h_det : dialog {
    label = "Gate Impeller Data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
   :column {
  	: image {
 	key= "part7h2"; 
 	width  = 30;
 	aspect_ratio   = 0.2;
	color  = 250;
	}
   }
   :boxed_column {
    :edit_box {
      label = "A = Shaft Diameter :";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "B = Hub Diameter  :";
      key = "hubdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "C = Hub Height  :";
      key = "hubht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "D = Impeller Diameter  :";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "E = Blade Base Height  :";
      key = "baseht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "F = Anchor Plate Width  :";
      key = "ancwid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  :boxed_column {
    :edit_box {
      label = "G = Center to Center Height  :";
      key = "cldist_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "H = Anchor Plate Height  :";
      key = "anclen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Blade Thickness  :";
      key = "plateth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "F = Width of Key  :";
      key = "keywid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Length of Key  :";
      key = "keylen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Thickness of Key  :";
      key = "keyth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Dia of Grub screw  :";
      key = "grubscr_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7i_blade : dialog {
  aspect_ratio = 0.0;
  label = "Number of blades of Impeller";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :row {
      :image_button {
       key= "part7i3";
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7i4"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
    }
   : row {
      :image_button {
       key= "part7i5"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7i6"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
    }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7i_det : dialog {
    label = "Flat Blade Impeller Data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
   :column {
  	: image {
 	key= "part7i2"; 
 	width  = 30;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
   }
   :boxed_column {
    :edit_box {
      label = "A = Shaft Diameter :";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "B = Hub Diameter  :";
      key = "hubdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "C = Hub Height  :";
      key = "hubht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "D = Impeller Diameter  :";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "E = Blade Base Height  :";
      key = "baseht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  :boxed_column {
    :edit_box {
      label = "Blade Thickness  :";
      key = "plateth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "G = Width of Key  :";
      key = "keywid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Length of Key  :";
      key = "keylen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Thickness of Key  :";
      key = "keyth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Dia of Grub screw  :";
      key = "grubscr_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7j_blade : dialog {
  aspect_ratio = 0.0;
  label = "Number of blades of Impeller";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :row {
      :image_button {
       key= "part7j2a";
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7j3";
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7j4"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
    }
   : row {
      :image_button {
       key= "part7j5"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
      :image_button {
       key= "part7j6"; 
       width  = 20;
       aspect_ratio   = 0.5;
       color  = 250;
       allow_accept   = true;
      }
    }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part7j_det : dialog {
    label = "Backward Curved Impeller Data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
   :column {
  	: image {
 	key= "part7j2"; 
 	width  = 30;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
   }
   :boxed_column {
    :edit_box {
      label = "A = Shaft Diameter :";
      key = "sdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "B = Hub Diameter  :";
      key = "hubdia_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "C = Hub Height  :";
      key = "hubht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "D = Impeller Diameter  :";
      key = "impod_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "E = Blade Base Height  :";
      key = "baseht_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
  :boxed_column {
    :edit_box {
      label = "Blade Thickness  :";
      key = "plateth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "G = Width of Key  :";
      key = "keywid_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Length of Key  :";
      key = "keylen_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Thickness of Key  :";
      key = "keyth_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
    :edit_box {
      label = "Dia of Grub screw  :";
      key = "grubscr_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

bolting: dialog {
  aspect_ratio = 0.0;
  label = "Bolted or Welded Construction";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  alignment = centered;
  fixed_width = true;
key = "boltweld";
:radio_button {
  key = "bolted";
  label = "Bolted Blades";
}
:radio_button {
  key = "welded";
  label = "Welded Blades";
}
  }
  ok_only;
}

botbear: dialog {
  aspect_ratio = 0.0;
  label = "Bottom Support Bearing Required";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  alignment = centered;
  fixed_width = true;
key = "bbear";
:radio_button {
  key = "bbyes";
  label = "Yes";
}
:radio_button {
  key = "bbno";
  label = "No";
}
  }
  ok_only;
}

mot_hp : dialog {
  aspect_ratio = 0.0;
  label = "Select Motor Horse Power";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
     alignment = centered;
     fixed_width = true;
     key = "motor_hp";
    :radio_button {
       key = "1.0";
       label = "1 HP";
    }
    :radio_button {
       key = "2.0";
       label = "2 HP";
    }
    :radio_button {
       key = "3.0";
       label = "3 HP";
    }
    :radio_button {
       key = "5.0";
       label = "5 HP";
    }
    :radio_button {
       key = "7.5";
       label = "7.5 HP";
    }
    :radio_button {
       key = "10.0";
       label = "10 HP";
    }
    :radio_button {
       key = "15.0";
       label = "15 HP";
    }
    :radio_button {
       key = "20.0";
       label = "20 HP";
    }
    :radio_button {
       key = "25.0";
       label = "25 HP";
    }
    :radio_button {
       key = "30.0";
       label = "30 HP";
    }
    :radio_button {
       key = "40.0";
       label = "40 HP";
    }
    :radio_button {
       key = "50.0";
       label = "50 HP";
    }
 }
  ok_only;
}

mot_rpm : dialog {
  aspect_ratio = 0.0;
  label = "Select Motor Speed RPM";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  alignment = centered;
  fixed_width = true;
key = "motor_rpm";
:radio_button {
  key = "1500.0";
  label = "1500 RPM";
}
:radio_button {
  key = "1000.0";
  label = "1000 RPM";
}
:radio_button {
  key = "750.0";
  label = "750 RPM";
}
  }
  ok_only;
}

part8_type : dialog {
  aspect_ratio = 0.0;
  label = "Type of Gear / Motor";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:text { value = "----------------"; width = 35; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "sel1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "sel2"; alignment = centered; vertical_margin = tiny; }
  :row {
    :column {
      :image_button {
       key= "part8c1";
       width  = 20;
       aspect_ratio   = 1.0;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Vertically Mounted Motor"; width = 35; alignment = centered; vertical_margin = tiny; }
    }
    :column {
      :image_button {
       key= "part8cg1";
       width  = 20;
       aspect_ratio   = 1.0;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Vertically Mounted Geared Motor"; width = 35; alignment = centered; vertical_margin = tiny; }
    }
    :column {
      :image_button {
       key= "part8df1"; 
       width  = 20;
       aspect_ratio   = 1.0;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Vertically Mounted Motor with Belt Drive"; width = 35; alignment = centered; vertical_margin = tiny; }
    }
  }
:row {
    :column {
      :image_button {
       key= "part8ab1"; 
       width  = 20;
       aspect_ratio   = 1.0;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Horizontal Motor and Gearbox"; width = 35; alignment = centered; vertical_margin = tiny; }
    }
    :column {
      :image_button {
       key= "part8egf1";
       width  = 20;
       aspect_ratio   = 1.0;
       color  = 250;
       allow_accept   = true;
      }
      :text { value = "Horizontal Motor, Gearbox with Belt Drive"; width = 35; alignment = centered; vertical_margin = tiny; }
    }
   }
  ok_only;
}

part8a : dialog {
    label = "Gear Box data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :column {
  :boxed_column {
	: image {
 	key= "part8a2";
 	width  = 20;
 	aspect_ratio   = 1.0;
	color  = 250;
	}
  }
  :boxed_column {
      label = "Gear Box data:";
      :edit_box {
      label = " A = C to C of Bolts :";
      key = "gb_ctoc_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
      :edit_box {
      label = " B = Length of Gear Box :";
      key = "gb_len_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
       :edit_box {
        label = "C = Total height of Gear Box :";
        key = "gb_totht_db";
        edit_width = 9;
        edit_limit = 15;
        horizontal_alignment = right;
       }
  }
  }
  :column {
  :boxed_column {
       label = "Input Shaft data :";
       :edit_box {
       label = "D = CL height :";
       key = "gb_shht_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "E = Length :";
       key = "gb_hshlen_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "F = Diameter :";
       key = "gb_hshdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
    :boxed_column {
       label = "Output Shaft data:";
       :edit_box {
       label = "G = Length :";
       key = "gb_vshlen_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "H = Diameter :";
       key = "gb_vshdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
   }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part8b : dialog {
    label = "Motor data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
	: image {
 	key= "part8b2";
 	width  = 20;
 	aspect_ratio   = 1.0;
	color  = 250;
	}
  :boxed_column {
      label = "Motor data:";
      :edit_box {
      label = " A = C to C of Bolts :";
      key = "mo_ctoc_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
      :edit_box {
      label = " B = Length of Motor :";
      key = "mo_len_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
       :edit_box {
        label = "C = Total height of Motor :";
        key = "mo_totht_db";
        edit_width = 9;
      edit_limit = 15;
        horizontal_alignment = right;
       }
  }
  :boxed_column {
       label = "Shaft data :";
       :edit_box {
       label = "D = CL height :";
       key = "mo_shht_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "E = Length :";
       key = "mo_shlen_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "F = Diameter :";
       key = "mo_shdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part8c : dialog {
    label = "Motor data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
	: image {
 	key= "part8c2";
 	width  = 20;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
  :boxed_column {
      label = "Motor data:";
      :edit_box {
      label = " A = C to C of Bolts :";
      key = "mo_ctoc_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
      :edit_box {
      label = " B = Height of Motor :";
      key = "mo_len_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
       :edit_box {
        label = "C = Width of Motor :";
        key = "mo_totht_db";
        edit_width = 9;
        edit_limit = 15;
        horizontal_alignment = right;
       }
  }
  :boxed_column {
       label = "Shaft data :";
       :edit_box {
       label = "D = CL distance :";
       key = "mo_shht_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "E = Length :";
       key = "mo_shlen_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "F = Diameter :";
       key = "mo_shdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part8d : dialog {
    label = "Motor data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
	: image {
 	key= "part8d2";
 	width  = 20;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
  :boxed_column {
      label = "Motor data:";
      :edit_box {
      label = " A = C to C of Bolts :";
      key = "mo_ctoc_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
      :edit_box {
      label = " B = Height of Motor :";
      key = "mo_len_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
       :edit_box {
        label = "C = Width of Motor :";
        key = "mo_totht_db";
        edit_width = 9;
        edit_limit = 15;
        horizontal_alignment = right;
       }
  }
  :boxed_column {
       label = "Shaft data :";
       :edit_box {
       label = "D = CL distance :";
       key = "mo_shht_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "E = Length :";
       key = "mo_shlen_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "F = Diameter :";
       key = "mo_shdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part8f : dialog {
    label = "Pulley data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
	: image {
 	key= "part8f2";
 	width  = 20;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
       label = "V Belt :";
       :edit_box {
       label = "F = Thickness :";
       key = "vb_thk_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "Width :";
       key = "vb_wid_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
   }
  :boxed_column {
      label = "Pulley data:";
      :edit_box {
      label = " A = C to C of Pulleys :";
      key = "pu_ctoc_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
      :text { value = ""; width = 35; key = "shaft11"; alignment = centered; vertical_margin = tiny; }
      :edit_box {
      label = " B = ID of Smaller Pulley :";
      key = "pu_id_s_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
      :edit_box {
      label = " C = OD of Smaller Pulley :";
      key = "pu_od_s_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
      :text { value = ""; width = 35; key = "shaft12"; alignment = centered; vertical_margin = tiny; }
      :edit_box {
      label = " D = ID of Larger Pulley :";
      key = "pu_id_l_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
       :edit_box {
        label = "E = OD of Larger Pulley :";
        key = "pu_od_l_db";
        edit_width = 9;
        edit_limit = 15;
        horizontal_alignment = right;
       }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part8ef : dialog {
    label = "Gear Box data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :column {
  :boxed_column {
	: image {
 	key= "part8ef2";
 	width  = 20;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
  }
  :boxed_column {
      label = "Gear Box data:";
      :edit_box {
      label = " A = C to C of Bolts :";
      key = "gb_ctoc_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
      :edit_box {
      label = " B = Width of Gear Box :";
      key = "gb_len_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
       :edit_box {
        label = "C = Height of Gear Box :";
        key = "gb_totht_db";
        edit_width = 9;
        edit_limit = 15;
        horizontal_alignment = right;
       }
  }
  }
  :column {
  :boxed_column {
       label = "Input Shaft data :";
       :edit_box {
       label = "D = Diameter :";
       key = "gb_hshdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
    :boxed_column {
       label = "Output Shaft data:";
       :edit_box {
       label = "E = Diameter :";
       key = "gb_vshdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
       :edit_box {
       label = "F = Length :";
       key = "gb_vshlen_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
   }
  }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

part8gf : dialog {
    label = "Motor data:";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  :boxed_column {
	: image {
 	key= "part8gf2";
 	width  = 20;
 	aspect_ratio   = 0.5;
	color  = 250;
	}
  :boxed_column {
      label = "Motor data:";
      :edit_box {
      label = " A = C to C of Bolts :";
      key = "mo_ctoc_db";
      edit_width = 9;
      edit_limit = 15;
      horizontal_alignment = right;
      }
       :edit_box {
        label = "B = Height of Motor :";
        key = "mo_totht_db";
        edit_width = 9;
        edit_limit = 15;
        horizontal_alignment = right;
       }
  }
  :boxed_column {
       label = "Shaft data :";
       :edit_box {
       label = "C = Diameter :";
       key = "mo_shdia_db";
       edit_width = 9;
       edit_limit = 15;
       horizontal_alignment = right;
       }
    }
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

gb_size_mm : dialog {
  aspect_ratio = 0.0;
  label = "Select Size of GearBox";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
     alignment = centered;
     fixed_width = true;
     key = "gear_mm";
    :radio_button {
       key = "112";
       label = "Size 112";
    }
    :radio_button {
       key = "162";
       label = "Size 162";
    }
    :radio_button {
       key = "200";
       label = "Size 200";
    }
    :radio_button {
       key = "237";
       label = "Size 237";
    }
    :radio_button {
       key = "287";
       label = "Size 287";
    }
    :radio_button {
       key = "337";
       label = "Size 337";
    }
    :radio_button {
       key = "400";
       label = "Size 400";
    }
    :radio_button {
       key = "450";
       label = "Size 450";
    }
    :radio_button {
       key = "500";
       label = "Size 500";
    }
    :radio_button {
       key = "600";
       label = "Size 600";
    }
    :radio_button {
       key = "700";
       label = "Size 700";
    }
    :radio_button {
       key = "800";
       label = "Size 800";
    }
    :radio_button {
       key = "900";
       label = "Size 900";
    }
    :radio_button {
       key = "1000";
       label = "Size 1000";
    }
    :radio_button {
       key = "1100";
       label = "Size 1100";
    }
    :radio_button {
       key = "1200";
       label = "Size 1200";
    }
    :radio_button {
       key = "1400";
       label = "Size 1400";
    }
 }
  ok_only;
}

gb_size_inch : dialog {
  aspect_ratio = 0.0;
  label = "Select Size of GearBox";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
     alignment = centered;
     fixed_width = true;
     key = "gear_inch";
    :radio_button {
       key = "1.0";
       label = "Size 1\"";
    }
    :radio_button {
       key = "1.5";
       label = "Size 1 1/2\"";
    }
    :radio_button {
       key = "2.0";
       label = "Size 2\"";
    }
    :radio_button {
       key = "2.5";
       label = "Size 2 1/2\"";
    }
    :radio_button {
       key = "3.0";
       label = "Size 3\"";
    }
    :radio_button {
       key = "3.5";
       label = "Size 3 1/2\"";
    }
    :radio_button {
       key = "4.0";
       label = "Size 4\"";
    }
    :radio_button {
       key = "4.5";
       label = "Size 4 1/2\"";
    }
    :radio_button {
       key = "5.0";
       label = "Size 5\"";
    }
    :radio_button {
       key = "6.0";
       label = "Size 6\"";
    }
    :radio_button {
       key = "7.0";
       label = "Size 7\"";
    }
    :radio_button {
       key = "8.0";
       label = "Size 8\"";
    }
    :radio_button {
       key = "9.0";
       label = "Size 9\"";
    }
    :radio_button {
       key = "10.0";
       label = "Size 10\"";
    }
    :radio_button {
       key = "11.0";
       label = "Size 11\"";
    }
    :radio_button {
       key = "12.0";
       label = "Size 12\"";
    }
    :radio_button {
       key = "14.0";
       label = "Size 14\"";
    }
 }
  ok_only;
}
