;----------------------------------------------------------------
(defun ldi ()(load_dialog "agit.dcl"))
(defun rtd (a) (* (/ a pi) 180.0))
(defun dtr (a) (* (/ a 180.0) pi))
;----------------------------------------------------------------
(defun setup ( sc size border)
(cond
  ((= m2 2)
    (if (and (= border 1) (= size "*a1"))
    (command "_limits" "0,0" (strcat (rtos (* 792.0 sc)) "," (rtos (* 570.0 sc)))
  	     "_insert" size "0,0" sc ""
	     "_zoom" "e"
    )
    )
  )
  ((= m2 4)
    (if (and (= border 1) (= size "*a1i"))
    (command "_limits" "0,0" (strcat (rtos (* 32.0 sc)) "," (rtos (* 22.0 sc)))
  	     "_insert" size "0,0" sc ""
	     "_zoom" "e"
    )
    )
  )
)
(if (> (fix (atof (getvar "acadver"))) 17) (setvar "copymode" 1))
(setvar "osmode" 0)
(setvar "angdir" 0)
(setvar "aperture" 3)
(setvar "aunits" 0)
(setvar "auprec" 2)
(setvar "blipmode" 0)
(setvar "cmdecho" 0)
(setvar "dragmode" 2)
(setvar "dimclrd" 4)
(setvar "dimclre" 4)
(setvar "dimclrt" 7)
(setvar "dimtxsty" "romans")
(setvar "dimtad" 1)
(setvar "dimtih" 0)
(setvar "dimtix" 1)
(setvar "dimtoh" 0)
(setvar "dimtol" 0)
(setvar "dimtsz" 0)
(setvar "dimtvp" 0.00)
(setvar "dimscale" 1.0)
(setvar "donutid" 0)
(setvar "donutod" 1.5)
(setvar "fillmode" 1)
(setvar "gridmode" 0)
(setvar "mirrtext" 0)
(setvar "pdmode" 1)
(setvar "pickadd" 1)
(setvar "pickauto" 1)
(setvar "pickdrag" 1)
(setvar "regenmode" 1)
(setvar "savetime" 10)
(setvar "snapmode" 0)
(setvar "snapstyl" 0)
(setvar "projmode" 1);
(setvar "edgemode" 0);
(setvar "attdia" 0);
(setvar "trimmode" 1);
  (if (= m2 2) (progn
	(if (> (fix (atof (getvar "acadver"))) 14) (setvar "dimatfit" 3))
	(if (> (fix (atof (getvar "acadver"))) 14) (setvar "dimlunit" 2))
	(setvar "dimalt" 0)
	(setvar "dimasz" 2.5)
	(setvar "dimcen" 0)
	(setvar "dimdec" 0)
	(setvar "dimdle" 0)
	(setvar "dimdli" 0.38)
	(setvar "dimexe" 0.1)
	(setvar "dimexo" 10.0)
	(setvar "dimgap" 2)
	(setvar "dimjust" 0)
	(setvar "dimlfac" 1.00)
	(setvar "dimfit" 1)
	(setvar "dimlim" 0)
	(setvar "dimrnd" 0.0)
	(setvar "dimsah" 0)
	(setvar "dimse1" 0)
	(setvar "dimse2" 0)
	(setvar "dimsho" 0)
	(setvar "dimsoxd" 0)
	(setvar "dimtfac" 1.0)
	(setvar "dimtm" 0)
	(setvar "dimtofl" 1)
	(setvar "dimtp" 0)
	(setvar "dimtxt" 4.75)
	(setvar "dimzin" 0)
	(setvar "dimpost" ".")
	(setvar "ltscale" (* sc 5.0))
    ))
  (if (= m2 4) (progn
	(if (> (fix (atof (getvar "acadver"))) 14) (setvar "dimatfit" 3))
	(if (> (fix (atof (getvar "acadver"))) 14) (setvar "dimlunit" 4))
	(setvar "dimalt" 0)
	(setvar "dimasz" 0.18)
	(setvar "dimcen" 0)
	(setvar "dimdec" 4)
	(setvar "dimdle" 0)
	(setvar "dimdli" 0.38)
	(setvar "dimexe" 0.25)
	(setvar "dimexo" 0.375)
	(setvar "dimgap" 0.09)
	(setvar "dimjust" 0)
	(setvar "dimlfac" 1.00)
	(setvar "dimfit" 1)
	(setvar "dimlim" 0)
	(setvar "dimrnd" 0.0)
	(setvar "dimsah" 0)
	(setvar "dimse1" 0)
	(setvar "dimse2" 0)
	(setvar "dimsho" 0)
	(setvar "dimsoxd" 0)
	(setvar "dimtfac" 1.0)
	(setvar "dimtm" 0)
	(setvar "dimtofl" 0)
	(setvar "dimtp" 0)
	(setvar "dimtxt" 0.1875)
	(setvar "dimzin" 0)
	(setvar "dimpost" ".")
	(setvar "ltscale" (/ sc 5.0))
    ))
(command "_style" "romans" "romans" 0.0 0.75 0.0 "" "" ""
         "_layer" "make" "BOM" "color" "7" "" ""
	 "_layer" "make" "CEN" "color" "2" "" ""
         "_layer" "make" "DIM" "color" "4" "" ""
	 "_layer" "make" "HID" "color" "3" "" ""
	 "_layer" "make" "TAG" "color" "5" "" ""
	 "_layer" "set" "0" ""
	 "_ucs" "o" "0,0"
         "_zoom" "all")
  (princ)
)
;end setup---------------------------------------------------------------------
(defun bhole_det ( pbh0 horlen verlen suppl /
		   pbhl1 pbhl2 pbhl3 pbhl4
		   pbh1 pbh2 pbh3 pbh4 pbh5
                   pbh1 pbh2 pbh3 pbh4 pbh5 pbh6 pbh7 pbh8 pbh9 pbh10
		   pbh11 pbh12 pbh13 pbh14 pbh15 pbh1617
		   ptop1 ptop2 ptop3 pbot2 pbot3 pcen pdv1 pdh1
		 )
  (if (= suppl 1) (setq pbh0 (list (- (car ppart7_det) (* horlen 4.0)) (cadr ppart7_det))))
     (bhole_loc pbh0 horlen verlen)
(setq ptop1 (list (car pbh0) (+ (cadr pbh0) (* baseht 2.0)))
      ptop2 (list (+ (car ptop1) (* baseht 2.0)) (cadr ptop1))
      ptop3 (list (- (car ptop1) (* baseht 0.3)) (cadr ptop1))
      pbot2 (list (+ (car pbh0) (* baseht 2.0)) (cadr pbh0))
      pbot3 (list (- (car pbh0) (* baseht 0.3)) (cadr pbh0))
      pcen  (list (car pbh0) (+ (cadr pbh0) baseht))
      pdv1 (list (- (car pbh0) (* dimoff 2.0)) (cadr pbh0))
      pdv2 (list (- (car pdv1) (* dimoff 2.0)) (cadr pdv1))
      pdh1 (list (car pbh0) (- (cadr pbh0) (* dimoff 2.0)))
      pdh2 (list (car pdh1) (- (cadr pdh1) (* dimoff 2.0)))
      p7tep1 (list (car pbh0) (- (cadr pbh0) (* dimoff 6.0)))
      p7tep2 (list (car p7tep1) (- (cadr p7tep1) dimoff))
      p7tep3 (list (car p7tep2) (- (cadr p7tep2) dimoff))
)
    (if (= suppl 1) (progn
      (command "_layer" "s" "0" ""
	       "_linetype" "set" "continuous" ""
      )
     (if (or (= typpart7 "part7bv") (= typpart7 "part7cv"))
      (command "_line" ptop3 ptop2 pbot2 pbot3 ""
	       "_arc" pbot3 pcen ptop3)
      (command "_line" pbh0 ptop1 ptop2 pbot2 pbh0 "")
     )
      (command "_style" "romans" "" 0.0 0.6 0.0 "" "" ""
               "_text" "c" p7tep1 (* textht sc) "0" "%%uDETAILS OF BLADE"
               "_text" "c" p7tep2 (* textht sc) "0" "%%uSUPPORT PLATE"	     
               "_text" "c" p7tep3 (* textht sc) "0" (strcat "%%uSCALE " (rtos (* sc 2.0) 2 1) ":1")
      )
      (tagno ptop2 (* dimoff 3.0) textht 45.0 agt_bls)
    ))
      (command "_layer" "s" "dim" ""
               "_dim1" "hor" pbh0  pbh5  pdh1 (rtos (/ baseht 4.0) m2 m4)
               "_dim1" "hor" pbh5  pbh9  pdh1 (rtos (/ baseht 2.0) m2 m4)
               "_dim1" "ver" pbh0  pbh2  pdv1 (rtos (/ baseht 4.0) m2 m4)
               "_dim1" "ver" pbh2  pbh10 pdv1 (rtos (/ baseht 2.0) m2 m4)
               "_dim1" "ver" pbh10 ptop1 pdv1 (rtos (/ baseht 4.0) m2 m4)
	       "_layer" "s" "0" ""
      )
    (if (= suppl 1)
      (command "_layer" "s" "dim" ""
               "_dim1" "hor" pbh9  pbot2  pdh1 (rtos (/ baseht 4.0) m2 m4)
               "_dim1" "hor" pbh0  pbot2  pdh2 (rtos baseht m2 m4)
               "_dim1" "ver" pbh0  ptop1  pdv2 (rtos baseht m2 m4)
	       "_layer" "s" "0" ""
      )
    )     
) ;---------------------------
(defun bhole_loc ( pbhl0 horlen verlen)
      (setq pbhl1 (list (+ (car pbhl0) (* horlen 0.25)) (+ (cadr pbhl0) (* verlen 0.25)))
	    pbhl2 (list (+ (car pbhl1) (* horlen 0.5))  (cadr pbhl1))
	    pbhl3 (list (car pbhl1) (+ (cadr pbhl1) (* verlen 0.5)))
	    pbhl4 (list (car pbhl2) (cadr pbhl3))
      )
      (bhole pbhl1)
      (bhole pbhl2)
      (bhole pbhl3)
      (bhole pbhl4)
) ; ---------------------------
(defun bhole ( pbh1 )
  (if (= pbh1 pbhl1) (progn
      (setq pbh2 (list (- (car pbh1) (* bhdia 0.5) (* dimoff 0.5)) (cadr pbh1))
	    pbh3 (list (+ (car pbh1) (* bhdia 0.5) (* dimoff 0.5)) (cadr pbh1))
	    pbh4 (list (car pbh1) (+ (cadr pbh1) (* bhdia 0.5) (* dimoff 0.5)))
	    pbh5 (list (car pbh1) (- (cadr pbh1) (* bhdia 0.5) (* dimoff 0.5)))
      )
      (command "_layer" "set" "cen" ""
	       "_linetype" "set" "center" ""
	       "_line" pbh2 pbh3 ""
	       "_line" pbh4 pbh5 ""
               "_linetype" "set" "continuous" ""
               "_layer" "s" "0" ""
	       "_circle" pbh1 "d" bhdia
      )
   ))
  (if (= pbh1 pbhl2) (progn
      (setq pbh6 (list (- (car pbh1) (* bhdia 0.5) (* dimoff 0.5)) (cadr pbh1))
	    pbh7 (list (+ (car pbh1) (* bhdia 0.5) (* dimoff 0.5)) (cadr pbh1))
	    pbh8 (list (car pbh1) (+ (cadr pbh1) (* bhdia 0.5) (* dimoff 0.5)))
	    pbh9 (list (car pbh1) (- (cadr pbh1) (* bhdia 0.5) (* dimoff 0.5)))
      )
      (command "_layer" "set" "cen" ""
	       "_linetype" "set" "center" ""
	       "_line" pbh6 pbh7 ""
	       "_line" pbh8 pbh9 ""
               "_linetype" "set" "continuous" ""
               "_layer" "s" "0" ""
	       "_circle" pbh1 "d" bhdia
      )
   ))
  (if (= pbh1 pbhl3) (progn
      (setq pbh10 (list (- (car pbh1) (* bhdia 0.5) (* dimoff 0.5)) (cadr pbh1))
	    pbh11 (list (+ (car pbh1) (* bhdia 0.5) (* dimoff 0.5)) (cadr pbh1))
	    pbh12 (list (car pbh1) (+ (cadr pbh1) (* bhdia 0.5) (* dimoff 0.5)))
	    pbh13 (list (car pbh1) (- (cadr pbh1) (* bhdia 0.5) (* dimoff 0.5)))
      )
      (command "_layer" "set" "cen" ""
	       "_linetype" "set" "center" ""
	       "_line" pbh10 pbh11 ""
	       "_line" pbh12 pbh13 ""
               "_linetype" "set" "continuous" ""
               "_layer" "s" "0" ""
	       "_circle" pbh1 "d" bhdia
      )
   ))
  (if (= pbh1 pbhl4) (progn
      (setq pbh14 (list (- (car pbh1) (* bhdia 0.5) (* dimoff 0.5)) (cadr pbh1))
	    pbh15 (list (+ (car pbh1) (* bhdia 0.5) (* dimoff 0.5)) (cadr pbh1))
	    pbh16 (list (car pbh1) (+ (cadr pbh1) (* bhdia 0.5) (* dimoff 0.5)))
	    pbh17 (list (car pbh1) (- (cadr pbh1) (* bhdia 0.5) (* dimoff 0.5)))
      )
      (command "_layer" "set" "cen" ""
	       "_linetype" "set" "center" ""
	       "_line" pbh14 pbh15 ""
	       "_line" pbh16 pbh17 ""
               "_linetype" "set" "continuous" ""
               "_layer" "s" "0" ""
	       "_circle" pbh1 "d" bhdia
      )
   ))
); end bhole for elevation ----------------------------------
(defun bhole_locp ( pbh0 horlen verlen / pbh1 pbh2 pbh3 pbh4)
      (setq pbh1 (list (+ (car pbh0) (* horlen 0.25)) (+ (cadr pbh0) (* verlen 0.25)))
	    pbh2 (list (+ (car pbh1) (* horlen 0.5))  (cadr pbh1))
	    pbh3 (list (car pbh1) (+ (cadr pbh1) (* verlen 0.5)))
	    pbh4 (list (car pbh2) (cadr pbh3))
      )
      (bholep pbh1)
      (bholep pbh2)
      (bholep pbh3)
      (bholep pbh4)
)
(defun bholep ( p1 / p2 p3 p4 p5 ss3)
      (setq p2 (list (- (car p1) (* bhdia 0.5) (* dimoff 0.5)) (cadr p1))
	    p3 (list (+ (car p1) (* bhdia 0.5) (* dimoff 0.5)) (cadr p1))
	    p4 (list (car p1) (+ (cadr p1) (* bhdia 0.5) (* dimoff 0.5)))
	    p5 (list (car p1) (- (cadr p1) (* bhdia 0.5) (* dimoff 0.5)))
	    ss3 (ssadd)
      )
      (command "_layer" "set" "cen" ""
	       "_linetype" "set" "center" ""
	       "_line" p2 p3 "")
      (setq ss3 (ssadd (entlast) ss3))
      (command "_line" p4 p5 "")
      (setq ss3 (ssadd (entlast) ss3))
      (command "_linetype" "set" "continuous" ""
               "_layer" "s" "0" ""
	       "_circle" p1 "d" bhdia
      )
      (setq ss3 (ssadd (entlast) ss3))
      (command "_array" ss3 "" "p" p40 noblade "" "")
); end bholep for plan ----------------------------------
(defun findrep ( s1 s2 s3 s4 s5 s6 s7 s8 s9 s10 d1
                 / s0 e0 ed l0 t1)
	(setvar "cmdecho" 0)
	(setq s0 (ssget "X" (list (cons 8 "txt") (cons 0 "TEXT"))))
	(if s0 (setq l0 (sslength s0)))
	(while (> l0 0)
             	(setq e0 (ssname s0 (setq l0 (1- l0))))
   		(setq t1 (cdr (assoc 1 (entget e0))))
	  (cond
		((= t1 "text1")  (setq ed (entget e0)) (setq ed (subst (cons 1 s1)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text2")  (setq ed (entget e0)) (setq ed (subst (cons 1 s2)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text3")  (setq ed (entget e0)) (setq ed (subst (cons 1 s3)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text4")  (setq ed (entget e0)) (setq ed (subst (cons 1 s4)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text5")  (setq ed (entget e0)) (setq ed (subst (cons 1 s5)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text6")  (setq ed (entget e0)) (setq ed (subst (cons 1 s6)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text7")  (setq ed (entget e0)) (setq ed (subst (cons 1 s7)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text8")  (setq ed (entget e0)) (setq ed (subst (cons 1 s8)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text9")  (setq ed (entget e0)) (setq ed (subst (cons 1 s9)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text10") (setq ed (entget e0)) (setq ed (subst (cons 1 s10) (cons 1 t1) ed)) (entmod ed))
		((= t1 "date1")  (setq ed (entget e0)) (setq ed (subst (cons 1 d1)  (cons 1 t1) ed)) (entmod ed))
        ))(princ)
); end findrep-------------------------------------------------------------------
