(defun procdes ( / i1 i2)
  (setq procdes1 1)
(if (= demomode 0) (setq fname (open fname0 "w")))
(if (= demomode 0) (write-line "Parameters of Process Design"  fname))
(if (= demomode 0) (write-line ""  fname))
(if (= demomode 0) (close fname))
    (setq splgr 1.4 viscl 50.0 mixtime 1)
    (cond
       ((= typpart7 "part7av") (setq  srpm 144))
       ((= typpart7 "part7bv") (setq  srpm 144))
       ((= typpart7 "part7cv") (setq  srpm 144))
       ((= typpart7 "part7dv") (setq  srpm 144))
       ((= typpart7 "part7ev") (setq  srpm 40))
       ((= typpart7 "part7fv") (setq  srpm 40))
       ((= typpart7 "part7gv") (setq  srpm 40))
       ((= typpart7 "part7hv") (setq  srpm 40))
       ((= typpart7 "part7iv") (setq  srpm 144))
       ((= typpart7 "part7jv") (setq  srpm 144))
    )
    (cond
      ((= m2 2)
        (cond
	  ((= optionno 1) (setq vdia 1000.0 vlen 1500.0 vwidth 1500.0 sdia 22.0 impod 300.0))
	  ((= optionno 2) (setq vdia 1100.0 vlen 1600.0 vwidth 1700.0 sdia 24.0 impod 300.0))
	  ((= optionno 3) (setq vdia 1200.0 vlen 1700.0 vwidth 1900.0 sdia 26.0 impod 350.0))
	  ((= optionno 4) (setq vdia 1300.0 vlen 1800.0 vwidth 2100.0 sdia 27.0 impod 400.0))
	  ((= optionno 5) (setq vdia 1400.0 vlen 1900.0 vwidth 2300.0 sdia 28.0 impod 400.0))
	)
      )
      ((= m2 4)
	(cond
	  ((= optionno 1) (setq vdia 40.0 vlen 60.0 vwidth 45.0 sdia 0.89 impod 12.0))
	  ((= optionno 2) (setq vdia 44.0 vlen 64.0 vwidth 50.0 sdia 0.93 impod 14.0))
	  ((= optionno 3) (setq vdia 48.0 vlen 68.0 vwidth 55.0 sdia 0.97 impod 16.0))
	  ((= optionno 4) (setq vdia 52.0 vlen 72.0 vwidth 60.0 sdia 1.01 impod 17.0))
	  ((= optionno 5) (setq vdia 54.0 vlen 76.0 vwidth 65.0 sdia 1.05 impod 18.0))
	)
      )
    )
(setq i1 (ldi))
(if (not (new_dialog "seltank" i1)) (exit))
  (settile)
  (set_tile "cyl" "1")
  (action_tile "accept" "(setq tanktype (get_tile \"ttype\"))")
  (start_dialog)
  (unload_dialog i1)

(if (= tanktype "cyl") (progn
    (setq i2 (ldi))
    (if (not (new_dialog "vesseldata" i2)) (exit))
    (settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
    (set_tile "vdia_db"   (rtos vdia m2 m4))
    (set_tile "vlen_db"   (rtos vlen m2 m4))
    (set_tile "viscl_db"  (rtos viscl 2 2))
    (set_tile "splgr_db"  (rtos splgr 2 2))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
(unload_dialog i2)
(setq slen (+ vlen (* vdia 0.25)))
    (if (= m2 2) (setq vesvol (/ (* pi vdia vdia vlen) 4.0)))
    (if (= m2 4) (setq vesvol (/ (* pi (* vdia 25.4) (* vdia 25.4) (* vlen 25.4)) 4.0)))
))
(if (= tanktype "rect") (progn
    (setq i2 (ldi))
    (if (not (new_dialog "tankdata" i2)) (exit))
    (settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
    (set_tile "vdia_db"   (rtos vdia m2 m4))
    (set_tile "vlen_db"   (rtos vlen m2 m4))
    (set_tile "vwidth_db" (rtos vwidth m2 m4))
    (set_tile "viscl_db"  (rtos viscl 2 2))
    (set_tile "splgr_db"  (rtos splgr 2 2))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
(unload_dialog i2)
(setq slen (* vlen 0.9))
    (if (= m2 2) (setq vesvol (* (* vdia 1.0) (* vlen 1.0) (* vwidth 1.0))))
    (if (= m2 4) (setq vesvol (* (* vdia 25.4) (* vlen 25.4) (* vwidth 25.4))))
))
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line "Details of Vessel" fname))
(if (= tanktype "cyl") (progn
(if (= demomode 0) (write-line (strcat "Diameter of Vessel " (rtos vdia m2 m4)) fname))
(if (= demomode 0) (write-line (strcat "Length of Vessel "   (rtos vlen m2 m4)) fname))
(if (= demomode 0) (if (= m2 2) (write-line (strcat "Volume of Vessel " (rtos (/ (/ (* pi vdia vdia vlen) 4.0) 1000000000.0) 2 2) " Cubic Meters") fname)))
(if (= demomode 0) (if (= m2 4) (write-line (strcat "Volume of Vessel " (rtos (/ (/ (* pi (* vdia 25.4) (* vdia 25.4) (* vlen 25.4)) 4.0) (expt (* 25.4 12.0) 3.0)) 2 2) " Cubic Foot") fname)))
))
(if (= tanktype "rect") (progn
(if (= demomode 0) (write-line (strcat "Width 0f Tank "  (rtos vdia m2 m4)) fname))
(if (= demomode 0) (write-line (strcat "Height of Tank " (rtos vlen m2 m4)) fname))
(if (= demomode 0) (write-line (strcat "Length of Tank " (rtos vwidth m2 m4)) fname))
(if (= demomode 0) (if (= m2 2) (write-line (strcat "Volume of Vessel " (rtos (/ (* vdia vlen vwidth) 1000000000.0) 2 2) " Cubic Meters") fname)))
(if (= demomode 0) (if (= m2 4) (write-line (strcat "Volume of Vessel " (rtos (/ (* vdia vlen vwidth) (expt 12.0 3.0)) 2 2) " Cubic Foot") fname)))
))
(if (= demomode 0) (write-line (strcat "Recommended Shaft Length = " (rtos slen m2 m4)) fname))
(if (= demomode 0) (write-line ""  fname))
(if (= demomode 0) (write-line "Properties of Liquid" fname))
(if (= demomode 0) (write-line (strcat "Viscocity of Liquid " (rtos viscl 2 2) " cP") fname))
(if (= demomode 0) (write-line (strcat "Specific Gravity of Liquid " (rtos splgr 2 2)) fname))
(if (= demomode 0) (close fname))
  (imp_invar1)
    (setq i2 (ldi))
    (if (not (new_dialog "reno" i2)) (exit))
    (settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
    (set_tile "wdfac_db"  (rtos wdfac 2 2))
    (set_tile "pumpfac_db" (rtos pumpfac 2 2))
    (set_tile "pno_db" (rtos pno 2 2))
    (set_tile "srpm_db" (itoa srpm))
    (set_tile "mixtime_db" (itoa mixtime))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
(unload_dialog i2)
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line (strcat "Ratio of Impeller Dia to Vessel Dia = " (rtos wdfac 2 2)) fname))
(if (= demomode 0) (write-line ""  fname))
(if (= demomode 0) (close fname))
(if (or (= typpart7 "part7av") (= typpart7 "part7bv") (= typpart7 "part7cv"))
  (progn
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line "Program calculates in Metric Units" fname))
(if (= demomode 0) (write-line "Selection of RPM" fname))
(if (= demomode 0) (write-line (strcat "Input rpm = " (itoa srpm)) fname))
(if (= demomode 0) (write-line (strcat "Selected Mixing Time = " (itoa mixtime) " Minutes") fname))
(if (= demomode 0) (write-line "It calculates pumping rate in cu mm / min " fname))
(setq prate (/ vesvol mixtime))
(if (= demomode 0) (write-line "Pumping rate = Volume of Vessel / mixing time " fname))
(if (= demomode 0) (write-line (strcat "Pumping rate of impeller is " (rtos prate 2 0) " cu mm / min" ) fname))
(if (= demomode 0) (write-line (strcat "Program calculates Impeller Diameter in mm, based on rpm as " (itoa srpm)) fname))
(if (= demomode 0) (write-line (strcat "No of Blades = " (itoa noblade)) fname))
  (setq impod (expt (/ prate srpm pumpfac) (/ 1.0 3.0)))
(if (= demomode 0) (if (= m2 2) (write-line (strcat "Impeller OD is " (rtos impod 2 0) " mm") fname)))
(if (= demomode 0) (if (= m2 4) (write-line (strcat "Impeller OD is " (rtos (/ impod 25.4) m2 m4) " inch") fname)))
(if (= demomode 0) (write-line "Calculation of Nre" fname))
(if (= demomode 0) (write-line "visc = Viscosity of Liquid in Poise = 0.01 * centipoise" fname))
(if (= demomode 0) (write-line "In Metric system, density value in gms / cu cm is same as Specific Gravity" fname))
(if (= demomode 0) (write-line "Nre = (impod * impod * rps * spgr) / ( visc / 100.0)" fname))
  (setq reno (/ (* impod impod (/ srpm 60.0) splgr) viscl))
(if (= demomode 0) (write-line (strcat "Calculated Nre " (rtos reno 2 2)) fname))
(if (= demomode 0) (if (= m2 2) (write-line (strcat "Calculated Impeller Diameter based on rpm as " (itoa srpm) " is " (rtos impod 2 0) " mm") fname)))
(if (= demomode 0) (if (= m2 4) (write-line (strcat "Calculated Impeller Diameter based on rpm as " (itoa srpm) " is " (rtos (/ impod 25.4) m2 m4)) fname)))
(if (= demomode 0) (write-line (strcat "Recommended Agitator Speed is " (itoa srpm) " rpm") fname))
(if (= demomode 0) (if (= m2 2) (write-line (strcat "Recommended Impeller OD is " (rtos impod 2 0) " mm") fname)))
(if (= demomode 0) (if (= m2 4) (write-line (strcat "Recommended Impeller OD is " (rtos (/ impod 25.4) m2 m4)) fname)))
(if (= demomode 0) (close fname))
(setq i2 (ldi) i1 5  imptype1 1)
(while (< 2 i1)
    (if (not (new_dialog "rpmdia1" i2)) (exit))
  	(settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
    (set_tile "srpm_db" (itoa srpm))
    (set_tile "slen_db" (rtos slen m2 m4))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
)
(unload_dialog i2)
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line "It allows you to select nearest value for rpm and shaft length " fname))
(if (= demomode 0) (write-line (strcat "Agitator Speed selected is " (itoa srpm) " rpm") fname))
(if (= demomode 0) (write-line (strcat "Agitator shaft length selected is " (rtos slen m2 m4)) fname))
(if (= demomode 0) (close fname))
(setq i2 (ldi) i1 5)
(while (< 2 i1)
    (if (not (new_dialog "rpmdia2" i2)) (exit))
  	(settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
(if (= m2 4) (setq impod (/ impod 25.4)))
    (set_tile "impod_db" (rtos impod m2 m4))
    (set_tile "srpm_db" (itoa srpm))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
)
(unload_dialog i2)
     (if (= m2 2) (setq impod impod))
     (if (= m2 4) (setq impod (* impod 25.4)))
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line "It then allows you to select Diameter of Impeller " fname))
(if (= demomode 0) (close fname))
(setq i2 (ldi) i1 5 noimp 1)
(while (< 2 i1)
    (if (not (new_dialog "noimp_od" i2)) (exit))
  	(settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
    (set_tile "noimp_db" (itoa noimp))
    (set_tile "srpm_db" (itoa srpm))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
)
(unload_dialog i2)
(setq impod (/ impod (expt noimp (/ 1.0 3.0))))
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line (strcat "Calculation of Absorbed Power" ) fname))
(if (= demomode 0) (write-line (strcat "Power Number Np = "  (rtos pno 2 2)) fname))
   (setq abspow (/ (* splgr 1000.0 noimp pno (expt (/ srpm 60.0) 3.0) (expt (/ impod 1000.0) 5.0) 1.1 1.2)
		   blfac 9.81 75.0))
(if (= demomode 0) (write-line (strcat "Absorbed Power = " (rtos abspow 2 6) " HP") fname))
(if (= demomode 0) (close fname))
(setq i2 (ldi))
(if (not (new_dialog "safefac" i2)) (exit))
  	(settile)
  (set_tile  "1.0" "1")
  (action_tile "accept" "(setq safef (get_tile \"safe_fac\"))")
  (start_dialog)
  (unload_dialog i2)
  (if (= safef "0") (setq safef (getstring "\nSafety Factor: ")))
  (setq shaft_safef (distof safef))
(setq i2 (ldi))
(if (not (new_dialog "shaftfy" i2)) (exit))
  	(settile)
  (set_tile  "mat_en8" "1")
  (action_tile "accept" "(setq sh_fy (get_tile \"sha_fy\"))")
  (start_dialog)
  (unload_dialog i2)
(cond
  ((= sh_fy "mat_cs")   (setq shaft_fy 30.0 shaft_el 170.0))
  ((= sh_fy "mat_en8")  (setq shaft_fy 55.0 shaft_el 246.0))
  ((= sh_fy "mat_en24") (setq shaft_fy 80.0 shaft_el 320.0))
  ((= sh_fy "mat_ss")   (setq shaft_fy 50.0 shaft_el 230.0))
)
(setq i2 (ldi) i1 5)
(while (< 2 i1)
    (if (not (new_dialog "shaftfy_det" i2)) (exit))
  	(settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
    (set_tile "shfy_db" (rtos shaft_fy 2 2))
    (set_tile "shel_db" (rtos shaft_el 2 2))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
)
(unload_dialog i2)
(drv_invar1)
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line (strcat "Horse Power of Selected Motor = " (rtos mothp 2 1) " HP") fname))
  (cond
    ((and (= m2 2) (< srpm 301))
     (if (= demomode 0) (write-line (strcat "Gearbox size = " (itoa unitsize) " mm") fname))
    )
    ((and (= m2 4) (< srpm 301))
     (if (= demomode 0) (write-line (strcat "Gearbox size = " (rtos unitsize1 m2 m4)) fname))
    )
    (t (if (= demomode 0) (write-line "Gearbox not required" fname)))
  )
(if (= demomode 0) (close fname))
 (setq shaft_tc (/ (* 746.0 mothp) 2.0 pi (/ srpm 60.0)))
 (setq shaft_tm (* shaft_tc shaft_safef 1000.0))
 (setq shaft_zp (/ shaft_tm shaft_fy))
 (setq sdia (expt (/ (* shaft_zp 16.0) pi) (/ 1.0 3.0)))
 (setq shaft_fm (/ shaft_tm 0.75 0.5 impod))
(if (= m2 2) (setq shaft_mm (* shaft_fm (/ slen 1000.0))))
(if (= m2 4) (setq shaft_mm (* shaft_fm (/ (* slen 25.4) 1000.0))))
 (setq shaft_tm (* shaft_tc shaft_safef))
 (setq shaft_mem (/ (+ shaft_mm (sqrt (+ (* shaft_mm shaft_mm) (* 0.75 shaft_tm shaft_tm)))) 2000.0))
 (setq shaft_mem (* shaft_mem 1000.0))
 (setq shaft_el_cal (/ (* shaft_mem 1000.0 32.0) pi (expt sdia 3.0)))
(while (< shaft_el shaft_el_cal)
 (setq sdia (+ sdia 5.0)
       shaft_el_cal (/ (* shaft_mem 1000.0 32.0) pi (expt sdia 3.0)))
)
(setq shaftdia sdia)
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line "Calculation of Shaft Diameter in Metric" fname))
(if (= demomode 0) (write-line (strcat "Safety Factor Selected is = " (rtos shaft_safef 2 0)) fname))
(if (= demomode 0) (write-line (strcat "Shear Stress of Agitator Shaft " (rtos shaft_fy 2 2) " in  N/sq mm") fname))
(if (= demomode 0) (write-line (strcat "Elastic Limit of Agitator Shaft " (rtos shaft_el 2 2) " in  N/sq mm") fname))
(if (= demomode 0) (write-line (strcat "Torque at end of shaft = (746 * motor hp) / (2 * pi * (rpm / 60)) [in N-mt]") fname))
(if (= demomode 0) (write-line (strcat "Torque at end of shaft = " (rtos shaft_tc 2 2) "  [in N-mt]") fname))
(if (= demomode 0) (write-line (strcat "Bending Moment = Torque * Safety Factor [in N-mm]") fname))
(if (= demomode 0) (write-line (strcat "Bending Moment = " (rtos shaft_tm 2 2) " [in N-mm]") fname))
(if (= demomode 0) (write-line "Fm = Force at the end of impeller blade" fname))
(if (= demomode 0) (write-line "Fm = Bending Moment / (0.75 * 0.5 * Impeller Dia)" fname))
(if (= demomode 0) (write-line (strcat "Fm = " (rtos shaft_fm 2 2)) fname))
(if (= demomode 0) (write-line "Maximum Bending Moment is at the end of shaft" fname))
(if (= demomode 0) (write-line (strcat "Maximum Bending Moment at the end of shaft is " (rtos shaft_mm 2 2) " [in N-mm]") fname))
(if (= demomode 0) (write-line (strcat "Average Bending Moment at the end of shaft is " (rtos shaft_mem 2 2) " [in N-mm]") fname))
(if (= demomode 0) (write-line (strcat "Polar modulus of the shaft is " (rtos shaft_zp 2 2) " [in cubic mm]") fname))
(if (= m2 2)  (setq defl (/ (* shaft_fm (expt slen 3.0)          64.0) 3.0 1.95 100000.0 pi (expt sdia 4.0))))
(if (= m2 4)  (setq defl (/ (* shaft_fm (expt (* slen 25.4) 3.0) 64.0) 3.0 1.95 100000.0 pi (expt sdia 4.0))))
(setq crspeed (fix (/ (* 946.0) (sqrt defl))))
(if (= demomode 0) (if (= m2 4) (write-line (strcat "Initial Shaft Diameter is " (rtos (/ sdia 25.4) m2 m4)) fname)))
(if (= demomode 0) (if (= m2 2) (write-line (strcat "Initial Shaft Diameter is " (rtos sdia 2 0) " mm") fname)))
(while (< (/ (float crspeed) (float srpm)) 1.20)
 (setq sdia (+ sdia 1.0))
 (if (= m2 2) (setq defl (/ (* shaft_fm (expt slen 3.0) 64.0) 3.0 1.95 100000.0 pi (expt sdia 4.0))))
 (if (= m2 4) (setq defl (/ (* shaft_fm (expt (* slen 25.4) 3.0) 64.0) 3.0 1.95 100000.0 pi (expt sdia 4.0))))
 (setq crspeed (fix (/ (* 946.0) (sqrt defl))))
)
(if (= demomode 0) (if (= m2 2) (write-line (strcat "Shaft deflection at end is " (rtos defl m2 m4)) fname)))
(if (= demomode 0) (if (= m2 4) (write-line (strcat "Shaft deflection at end is " (rtos (/ defl 25.4) m2 m4)) fname)))
(if (= demomode 0) (write-line "It recalcuates Diameter of shaft based on Critical Speed " fname))
(if (= demomode 0) (write-line "It reiterates till elastic limits is less than" fname))
(if (= demomode 0) (write-line "permisiible value by increasing shaft diameter" fname))
(if (= demomode 0) (write-line "It calculates Critical Speed of Impeller" fname))
(if (= demomode 0) (write-line "It then reiterates till critical speed is more than 20%" fname))
(if (= demomode 0) (write-line "of agitator speed by increasing shaft diameter" fname))
(if (= demomode 0) (write-line (strcat "Critical Speed = " (rtos crspeed 2 0) " RPM") fname))
(if (= demomode 0) (write-line "Final values after calculation of Critical Speed is " fname))
(if (= m2 4)(setq sdia (/ sdia 25.4) impod (/ impod 25.4)))
(if (= demomode 0) (if (= m2 4)(write-line (strcat "Shaft Diameter " (rtos sdia m2 m4)) fname)))
(if (= demomode 0) (if (= m2 2)(write-line (strcat "Shaft Diameter " (rtos sdia 2 0) " mm") fname)))
(if (= demomode 0) (write-line (strcat "" ) fname))
(if (= demomode 0) (close fname))
))
(if (or (= typpart7 "part7dv") (= typpart7 "part7iv") (= typpart7 "part7jv")) (progn
(setq impod (* vdia wdfac) imptype1 1)
(if (= m2 2) (setq srpm (fix (/ (* 500.0 12.0 25.4) impod 2.0))))
(if (= m2 4) (setq srpm (fix (/ (* 500.0 12.0) impod 2.0))))
(setq i2 (ldi) i1 5 noimp 1)
(while (< 2 i1)
    (if (not (new_dialog "noimp_od" i2)) (exit))
  	(settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
    (set_tile "noimp_db" (itoa noimp))
    (set_tile "srpm_db" (itoa srpm))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
)
(unload_dialog i2)
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line "Diameter of impeller depends on Width factor to Vessel Diameter" fname))
(if (= demomode 0) (if (= m2 2) (write-line (strcat "Calculated Impeller OD: " (rtos impod 2 0) " mm") fname)))
(if (= demomode 0) (if (= m2 4) (write-line (strcat "Calculated Impeller OD: " (rtos impod m2 m4)) fname)))
(if (= demomode 0) (if (= m2 2) (write-line "Tip speed of impeller = 175 meters per minute" fname)))
(if (= demomode 0) (if (= m2 4) (write-line "Tip speed of impeller = 500 feet per minute" fname)))
(if (= demomode 0) (write-line "Agitator Speed depends on tip speed of impeller" fname))
(if (= demomode 0) (write-line (strcat "Calculated RPM is: " (itoa srpm)) fname))
(if (= demomode 0) (write-line (strcat "Mixing Number Nq = " (rtos pumpfac 2 2)) fname))
(if (= demomode 0) (write-line (strcat "Power Number Np = "  (rtos pno 2 2)) fname))
(if (= m2 2) (setq abspow (/ (* splgr 1000.0 noimp pno (expt (/ srpm 60.0) 3.0) (expt (/ impod 1000.0) 5.0) 1.1 1.2)
		   blfac 9.81 75.0)))
(if (= m2 4) (setq abspow (/ (* splgr 1000.0 noimp pno (expt (/ srpm 60.0) 3.0) (expt (/ (* impod 25.4) 1000.0) 5.0) 1.1 1.2)
		   blfac 9.81 75.0)))
(if (= demomode 0) (write-line (strcat "Absorbed Power = " (rtos abspow 2 6) " HP") fname))
(if (= demomode 0) (close fname))
  (drv_invar1)
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line (strcat "Horse Power of Selected Motor = " (rtos mothp 2 1) " HP") fname))
(if (= demomode 0)
  (cond
    ((and (= m2 2) (< srpm 301)) (write-line (strcat "Gearbox size = " (itoa unitsize) " mm") fname))
    ((and (= m2 4) (< srpm 301)) (write-line (strcat "Gearbox size = " (rtos unitsize1 m2 m4)) fname))
    (t (write-line "Gearbox not required" fname))
  )
)
(if (= demomode 0) (close fname))
(setq i2 (ldi))
(if (not (new_dialog "safefac" i2)) (exit))
  	(settile)
  (set_tile  "1.0" "1")
  (action_tile "accept" "(setq safef (get_tile \"safe_fac\"))")
  (start_dialog)
  (unload_dialog i2)
  (if (= safef "0") (setq safef (getstring "\nSafety Factor: ")))
  (setq shaft_safef (distof safef))
(setq i2 (ldi))
(if (not (new_dialog "shaftfy" i2)) (exit))
  	(settile)
  (set_tile  "mat_en8" "1")
  (action_tile "accept" "(setq sh_fy (get_tile \"sha_fy\"))")
  (start_dialog)
  (unload_dialog i2)
(cond
  ((= sh_fy "mat_cs")   (setq shaft_fy 30.0 shaft_el 170.0))
  ((= sh_fy "mat_en8")  (setq shaft_fy 55.0 shaft_el 246.0))
  ((= sh_fy "mat_en24") (setq shaft_fy 80.0 shaft_el 320.0))
  ((= sh_fy "mat_ss")   (setq shaft_fy 50.0 shaft_el 230.0))
)
(setq i2 (ldi) i1 5)
(while (< 2 i1)
    (if (not (new_dialog "shaftfy_det" i2)) (exit))
  	(settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
    (set_tile "shfy_db" (rtos shaft_fy 2 2))
    (set_tile "shel_db" (rtos shaft_el 2 2))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
)
(unload_dialog i2)
 (setq shaft_tc (/ (* 746.0 mothp) 2.0 pi (/ srpm 60.0)))
 (setq shaft_tm (* shaft_tc shaft_safef 1000.0))
 (setq shaft_zp (/ shaft_tm shaft_fy))
 (setq sdia (expt (/ (* shaft_zp 16.0) pi) (/ 1.0 3.0)))
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line "Calculation of Shaft Diameter in Metric" fname))
(if (= demomode 0) (write-line (strcat "Safety Factor Selected is = " (rtos shaft_safef 2 0)) fname))
(if (= demomode 0) (write-line (strcat "Shear Stress of Agitator Shaft " (rtos shaft_fy 2 2) " in  N/sq mm") fname))
(if (= demomode 0) (write-line (strcat "Elastic Limit of Agitator Shaft " (rtos shaft_el 2 2) " in  N/sq mm") fname))
(if (= demomode 0) (write-line (strcat "Torque at end of shaft = (746 * motor hp) / (2 * pi * (rpm / 60)) [in N-mt]") fname))
(if (= demomode 0) (write-line (strcat "Torque at end of shaft = " (rtos shaft_tc 2 2) "  [in N-mt]") fname))
(if (= demomode 0) (write-line (strcat "Bending Moment = Torque * Safety Factor [in N-mm]") fname))
(if (= demomode 0) (write-line (strcat "Bending Moment = " (rtos shaft_tm 2 2) " [in N-mm]") fname))
(if (= demomode 0) (write-line (strcat "Polar modulus of the shaft is " (rtos shaft_zp 2 2) " [in cubic mm]") fname))
(if (= demomode 0) (write-line "Final values are " fname))
(if (= demomode 0) (write-line (strcat "Shaft RPM  " (itoa srpm)) fname))
(if (= m2 4) (progn
  (setq sdia (/ sdia 25.4))
  (if (= demomode 0) (write-line (strcat "Impeller Diameter " (rtos impod m2 m4)) fname))
  (if (= demomode 0) (write-line (strcat "Shaft Diameter " (rtos sdia m2 m4)) fname))
))
(if (= m2 2) (progn
  (if (= demomode 0) (write-line (strcat "Impeller Diameter " (rtos impod 2 0) " mm") fname))
  (if (= demomode 0) (write-line (strcat "Shaft Diameter " (rtos sdia 2 0) " mm") fname))
))
(if (= demomode 0) (close fname))
))
(if (or (= typpart7 "part7ev") (= typpart7 "part7fv") (= typpart7 "part7gv") (= typpart7 "part7hv")) (progn
(setq impod (* vdia wdfac) srpm 40 noimp 1 imptype1 1)
(setq i2 (ldi) i1 5)
(while (< 2 i1)
    (if (not (new_dialog "noimp_od" i2)) (exit))
  	(settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
    (set_tile "noimp_db" (itoa noimp))
    (set_tile "srpm_db" (itoa srpm))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
)
(unload_dialog i2)
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line "Diameter of impeller depends on Width factor to Vessel Diameter" fname))
(if (= demomode 0) (if (= m2 2) (write-line (strcat "Calculated Impeller OD: " (rtos impod 2 0)) fname)))
(if (= demomode 0) (if (= m2 4) (write-line (strcat "Calculated Impeller OD: " (rtos impod m2 m4)) fname)))
(if (= demomode 0) (if (= m2 2) (write-line "Tip speed of impeller = 82.5 meters per minute" fname)))
(if (= demomode 0) (if (= m2 4) (write-line "Tip speed of impeller = 250 feet per minute" fname)))
(if (= demomode 0) (write-line "Agitator Speed depends on tip speed of impeller" fname))
(if (= demomode 0) (write-line (strcat "Calculated RPM is: " (itoa srpm)) fname))
(if (= demomode 0) (close fname))
(cond 
 ((= typpart7 "part7ev") (setq areafac 1.0))
 ((= typpart7 "part7fv") (setq areafac 2.0))
 ((= typpart7 "part7gv") (setq areafac 3.0))
 ((= typpart7 "part7hv") (setq areafac 4.0))
)
  (setq impod (* vdia wdfac))
(setq noimp 1)
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line (strcat "Mixing Number Nq = " (rtos pumpfac 2 2)) fname))
(if (= demomode 0) (write-line (strcat "Power Number Np = "  (rtos pno 2 2)) fname))
(if (= m2 2) (setq abspow (/ (* splgr 1000.0 noimp pno (expt (/ srpm 60.0) 3.0) (expt (/ impod 1000.0) 5.0) 1.1 1.2)
		   blfac 9.81 75.0)))
(if (= m2 4) (setq abspow (/ (* splgr 1000.0 noimp pno (expt (/ srpm 60.0) 3.0) (expt (/ (* impod 25.4) 1000.0) 5.0) 1.1 1.2)
		   blfac 9.81 75.0)))
(if (= demomode 0) (write-line (strcat "Absorbed Power = " (rtos abspow 2 6) " HP") fname))
(if (= demomode 0) (close fname))
(drv_invar1)
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line (strcat "Horse Power of Selected Motor = " (rtos mothp 2 1) " HP") fname))
(if (= demomode 0) 
  (cond
    ((and (= m2 2) (< srpm 301)) (write-line (strcat "Gearbox size = " (itoa unitsize) " mm") fname))
    ((and (= m2 4) (< srpm 301)) (write-line (strcat "Gearbox size = " (rtos unitsize1 m2 m4)) fname))
    (t (write-line "Gearbox not required" fname))
  )
)
(if (= demomode 0) (close fname))
(setq i2 (ldi))
(if (not (new_dialog "safefac" i2)) (exit))
  	(settile)
  (set_tile  "1.0" "1")
  (action_tile "accept" "(setq safef (get_tile \"safe_fac\"))")
  (start_dialog)
  (unload_dialog i2)
  (if (= safef "0") (setq safef (getstring "\nSafety Factor: ")))
  (setq shaft_safef (distof safef))
(setq i2 (ldi))
(if (not (new_dialog "shaftfy" i2)) (exit))
  	(settile)
  (set_tile  "mat_en8" "1")
  (action_tile "accept" "(setq sh_fy (get_tile \"sha_fy\"))")
  (start_dialog)
  (unload_dialog i2)
(cond
  ((= sh_fy "mat_cs")   (setq shaft_fy 30.0 shaft_el 170.0))
  ((= sh_fy "mat_en8")  (setq shaft_fy 55.0 shaft_el 246.0))
  ((= sh_fy "mat_en24") (setq shaft_fy 80.0 shaft_el 320.0))
  ((= sh_fy "mat_ss")   (setq shaft_fy 50.0 shaft_el 230.0))
)
(setq i2 (ldi) i1 5)
(while (< 2 i1)
    (if (not (new_dialog "shaftfy_det" i2)) (exit))
  	(settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
    (set_tile "shfy_db" (rtos shaft_fy 2 2))
    (set_tile "shel_db" (rtos shaft_el 2 2))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
)
(unload_dialog i2)
 (setq shaft_tc (/ (* 746.0 mothp) 2.0 pi (/ srpm 60.0)))
 (setq shaft_tm (* shaft_tc shaft_safef 1000.0))
 (setq shaft_zp (/ shaft_tm shaft_fy))
 (setq sdia (expt (/ (* shaft_zp 16.0) pi) (/ 1.0 3.0)))
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (write-line (strcat "" ) fname))
(if (= demomode 0) (write-line (strcat "Safety Factor Selected is = " (rtos shaft_safef 2 0)) fname))
(if (= demomode 0) (write-line (strcat "Shear Stress of Agitator Shaft " (rtos shaft_fy 2 2) " in  N/sq mm") fname))
(if (= demomode 0) (write-line (strcat "Elastic Limit of Agitator Shaft " (rtos shaft_el 2 2) " in  N/sq mm") fname))
(if (= demomode 0) (write-line (strcat "Torque at end of shaft = (746 * motor hp) / (2 * pi * (rpm / 60)) [in N-mt]") fname))
(if (= demomode 0) (write-line (strcat "Torque at end of shaft = " (rtos shaft_tc 2 2) "  [in N-mt]") fname))
(if (= demomode 0) (write-line (strcat "Bending Moment = Torque * Safety Factor [in N-mm]") fname))
(if (= demomode 0) (write-line (strcat "Bending Moment = " (rtos shaft_tm 2 2) " [in N-mm]") fname))
(if (= demomode 0) (write-line (strcat "Polar modulus of the shaft is " (rtos shaft_zp 2 2) " [in cubic mm]") fname))
(if (= demomode 0) (write-line "Final values are " fname))
(if (= demomode 0) (write-line (strcat "Shaft RPM  " (itoa srpm)) fname))
(if (= m2 4) (progn
  (setq sdia (/ sdia 25.4))
  (if (= demomode 0) (write-line (strcat "Impeller Diameter " (rtos impod m2 m4)) fname))
  (if (= demomode 0) (write-line (strcat "Shaft Diameter " (rtos sdia m2 m4)) fname))
))
(if (= m2 2) (progn
  (if (= demomode 0) (write-line (strcat "Impeller Diameter " (rtos impod 2 0) " mm") fname))
  (if (= demomode 0) (write-line (strcat "Shaft Diameter " (rtos sdia 2 0) " mm") fname))
))
(if (= demomode 0) (close fname))
))
(if (or (= typpart7 "part7bv") (= typpart7 "part7cv") (= typpart7 "part7ev") (= typpart7 "part7fv") (= typpart7 "part7gv") (= typpart7 "part7hv") (= typpart7 "part7iv") (= typpart7 "part7jv"))
  (progn
	(setq i0 (ldi))
	(if (not (new_dialog "bolting" i0)) (exit))
  	(settile)
  	(set_tile "bolted" "1")
  	(action_tile "accept" "(setq boltype (get_tile \"boltweld\"))")
  	(start_dialog)
  	(unload_dialog i0)
(if (= demomode 0) (setq fname (open fname0 "a")))
(if (= demomode 0) (if (= boltype "bolted") (write-line (strcat "Impeller of Bolted Construction ") fname)))
(if (= demomode 0) (if (= boltype "welded") (write-line (strcat "Impeller of Welded Construction ") fname)))
(if (= demomode 0) (close fname))
))
	(setq i0 (ldi))
	(if (not (new_dialog "botbear" i0)) (exit))
  	(settile)
  	(set_tile "bbno" "1")
  	(action_tile "accept" "(setq btype (get_tile \"bbear\"))")
  	(start_dialog)
  	(unload_dialog i0)
(setq i2 (ldi) i1 5)
(while (< 2 i1)
    (if (not (new_dialog "final_od" i2)) (exit))
  	(settile)
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
    (set_tile "noimp_db" (itoa noimp))
    (set_tile "impod_db" (rtos impod m2 m4))
    (set_tile "srpm_db"  (itoa srpm))
    (set_tile "sdia_db"  (rtos sdia m2 m4))
    (set_tile "slen_db"  (rtos slen m2 m4))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
)
(unload_dialog i2)
(imp_invar) (drv_invar)
)
